Ubuntu

Visual corruption affecting several panel applets

Reported by anagor on 2009-09-30
This bug affects 698 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Unassigned
GNOME Panel
Unknown
Medium
Indicator Applet
Undecided
Unassigned
Nominated for Ubuntu by Nilindra
Release Notes for Ubuntu
Undecided
Unassigned
gnome-panel (Ubuntu)
Wishlist
Unassigned

Bug Description

**********PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT*****************

Please take a look at the list of duplicate bugs. Please think on how many people get notified when you add anything to this bug report. Please don't confirm the bug it is already confirmed. Please don't attach further screenshots - we all know how the problem looks. We all appreciate your involvement, but read previous post carefully prior you post your own. We need to draw constructive conclusions and find the solution.

Binary package hint: gnome-panel, nm-applet, etc...

SUMMARY:

After graphical logon notification area gets scrambled. Icons are in terrible mess. Some of them are overlapping others. Sometimes network manager icon is missing. Sometimes phantom icons show up. They can be clones of any other icons in the notification area. Bug affects any graphics card: ATI, nVidia, Intel...

WORKAROUND 1:

Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The panels will automatically respawn correctly.

WORKAROUND 2:

When you get your icons distorted right-click on the affected panel (not icons) click "Properties". In "Panel Properties" change panel orientation to "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are displayed properly, but one (nm-applet) is missing.

WORKAROUND 3:

Right click the Gnome panel and remove the offending applets and re-add them, i.e. Indicator Applet, etc.

WORKAROUND 4:

Right click the Gnome panel, click on Properties, Check Add Hide Buttons. and Close. Enough for now. If the error "runs" to lower panel, repeat the steps.

anagor (anagor) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. The issue is an upstream one and it would be nice if somebody having it could send the bug the to the people writting the software (https://wiki.ubuntu.com/Bugs/Upstream/GNOME)

Changed in gnome-panel (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Low
anagor (anagor) wrote :

I've opened the bug on GNOME's bugzilla, and it's linked here.

Sebastien Bacher (seb128) wrote :

Thank you for sending the bug to GNOME

Changed in gnome-panel (Ubuntu):
status: New → Triaged
anagor (anagor) wrote :

From what they described in the bug report, it seems like different bug, their icons wheren't drawn, but where functional.
In my case the icons are drawn, albeit wrong ones, yet they aren't functional at all.
In any case, I haven't seen this happen on my laptop in the last few days, and I do restart or log off and on quite a lot during the day...
So if the bug won't reappear over the course of the next few days, I will updates it's status here and on gnome as invalid or not reproducible. I will keep you posted :)

anagor (anagor) wrote :

Well, this bug haven't happened to me for the last 4-5 days, so I've marked the status of it in the gnome's bugzilla as invalid.
Should I change the status in launchpad also, or should it be left as triaged?

Percy Leonhardt (p3y) wrote :

I am still seeing this bug with the RC. In my case the bluetooth icon doubles and the network manager icon is missing.

Starting a guest session and coming back from it the phantom icon completely disappears only leaving empty space in the system tray.

I am still seeing this bug with RC and updated packages.

After login, the notification area shows wrong icons.

In the attached screenshot (after-login.png), for instance, the power management icon is displayed twice while the NetworkManager icon is not shown at all.
Removing the notification area from the panel and re-adding it works around the issue, as can be seen in the attached screenshot (after-na-restart.png).

Percy Leonhardt (p3y) wrote :

Using the guest login I didn't see the behavior so I cleaned up .gconf, .local and .gnome2 in my home folder - which is on a different partition so it contains many old settings - and now the problem is gone. I cannot say which old configuration caused the problem but I especially tried to remove all settings from nm-applet...

The bug report is no longer valid for me.

Karl Kropf (ksk-clara) wrote :

I'm having the duplication/missing icon problem with the same symptoms as #9

I'm running Ubuntu Studio 9.10 upgraded from 9.04 with Update Manager.

Torsten Streit (ts-tstreit) wrote :

Same for me on latest 9.10 amd64 (fresh install). Seeing doubled sound-icon (see attached screenshot) and missing the network-manager applet.

After killing gnome-panel (restarts automatically) everything is displayed correctly again.

This bug doesnt appear on every login.

RodGer (rodger) wrote :

I have the same problem with a doubled sound icon (one of two is a 'phantom' icon) and a missing network manager icon. Sometimes I have the same problem somebody describes here: (http://ohioloco.ubuntuforums.org/showthread.php?t=1309227)
like this:" 'In my notification area there's an empty spot at the far right without an icon, I have tried moving the notification area, but the empty spot stays there, preventing further movement to the right.

Right clicking there and saying "Remove from panel" removes the entire notification area. I have removed and added it at an attempt to "restart" the area' "
Removing and adding again the notification area solves the problem until next reboot.

The difference is that I DON'T HAVE AN 64 bit system. I have ubuntu-9.10-desktop-i386 and I sent a report using the commands
'ubuntu-bug gnome-panel' and 'apport-collect 439448'

SABCD (ctrn3e8) wrote :

I am not sure of this, but I believe this might be an Nvidia driver issue. I first saw this happen when using ARCH when they had updated to the 185 series drivers and saw it continue in the 190 series drivers. One can work around the problem if after start up( or login to gnome) one switches to VT1 ( by ctrl-alt-F1 ) and then switches back to VT7 (by ctrl-alt-F7 ). I think that this works because one is forcing a re-draw of the panel. My wild guess is that on start up, the icons are drawn on the notification area one at a time. When another icon is added to the notification area, it might not fit, so the notification areal is re-sized and the already drawn icons are moved over by a bit block transfer to either the left(or right). Sometimes the area that a moved icon previously occupied is not then erased with the background. Again, this is just pure speculation.

Interestingly, if one adds the hide button to the panel. one will get a half icon drawn on start up, rather than a fully drawn duplicate icon. Forcing a re-draw of the panel by hiding and then showing the panel using the hide button will not fix the problem. (Because the image for the panel cached somewhere?)

RodGer (rodger) wrote :

Just to check if it is an Nvidia driver problem as you said: my graphics card is an "Intel Corp. Mobile GM965/GL960 Integrat
ed Graphics Controller". How can I check what driver I use?

Torsten Streit (ts-tstreit) wrote :

The problem solved for me today, upgraded my GFX card (old nvidia with usage of nvidia driver version 173).
The new card supports the latest drivers by ubuntu (version 185) and since this update the problem has gone.

So in my case, it is/was nvidia driver related.

gaax (gaax) wrote :

I have Intel Corporation Mobile 945GM/GMS/GME and this problem still appear, but "phantom" icon is Bluetooth notification.

RodGer (rodger) wrote :

The truth is that the problematic doubled icon varies. I think that since my last comment I've noticed the erratic behavior in every icon.

Dmitry Murat (dmitry-murat) wrote :

I have the same problem with empty space instead of Network Manager applet icon. But it appears only when I'm resuiming from suspend/hibernate mode. Ubuntu 9.10 x64 clean install, NVidia GeForce 9300M video with 185.18.36 drivers. Any additional info I can provide?

Garbin Huang (garbinhuang) wrote :

same here!

SABCD (ctrn3e8) wrote :

Again, happens consistently on boot when running Nvidia 190.42 (or a 185 series) driver. I have now tried Nviida 195.22 beta driver and after multiple boots have never seen it occur. (Not saying that it is definitely an Nvidia driver issue...for example could be a race and using the newer driver may merely somehow change the boot timings...but does suggest 185/190 series Nvidia drivers as the problem.)

Kees van Mill (kvmill) wrote :

Problem also occurs on my Asus EEE PC 901 - definitively no Nvidia in there...

I encounter this problem after I started using Compiz. One icon is missing (mostly the network icon) another has a fake (i.e. not functioning) copy - mostly the bluetooth or sound icon.

Rather annoying, so I made a workaround: a little script that kills gnome-panel - which is then automatically restart.

     pid=`ps -C gnome-panel -o pid=`
     kill $pid

This script is executed at start-up via 'start-up applications'. When Ubuntu is started, this script is unnoticeable executed and when the notification first appears it is already 'repaired'.

dashaus (cierkonski) wrote :

The problem happens on my Nvidia 185 desktop as well. Solution proposed by Kees van Mill (#23) works in my case too.
As a little simplification I'd suggest to run in terminal one command:

killall gnome-panel

norton (bz2klag) wrote :

Ubuntu 9.10, amd64, clean install. Had this exact problem on two machines, one had nvidia, the other amd,
so it's not a graphics card problem. If it's a problem with a stuffed config file, then it's getting that way either
by default, or when I've customized my panels. It's a bug, someone fix it please.

Jonathan Koay (jonkoay) wrote :

Same problem here. Using Dell Vostro A90 (Dell Mini 9 equivalent).

Started after I've accidentally removed the notification area and later added it back. Ever since then, this problem has persist regardless of whatever approaches I have tried (found using Google search).

Matt Giuca (mgiuca) wrote :

Someone above suggested switching VT using Ctrl+Alt+F1 and then back again to Ctrl+Alt+F7.

I had this bug where I had two volume control icons and no network manager. I did the above switch and switch back, and now I am seeing just a single volume control icon, and an empty space where the network manager should be.

Therefore, in my experience, switching and switching back fixes the "phantom icon" issue, but doesn't fix the main problem which is that some icons are physically missing, and can't be clicked on.

Also I get this bug fairly sporadically, but it's always exactly one icon missing and one icon duplicated. Usually I'm missing the network manager and the volume control is duplicated.

RodGer (rodger) on 2009-12-21
description: updated
Joan Duran (jodufi) wrote :

Same problem with a computer upgraded from 9.04 using NVIDIA driver, and the same problem in another computer using a new installation and with a Intel card graphics integrated.

Also I can reproduce the same behaviour explained in #27

pltxtra (pltxtra) wrote :

I'm having the same problem. But I only noticed it for the last few upstarts, did never experience it frequently a month ago. I updated a few packages a couple of days ago, after which I started to notice this issue.

I have been running 9.10 (upgraded from 9.04) since it's public release. (Dell Latitude D630)

Restarting gnome-panel is a working workaround for me too.

I think this may be in some way related to compiz. I had the same exact thing happen to me - sound icon was being duplicated in place of the networkmanager icon. I'm using the nvidia 173 driver as the 185 package failed to work for me.

I thought removing the icon then replacing it might do the trick, but when I removed the icon, gnome-panel got caught it some loop and just kept restarting itself every second over and over. Restarting GDM/X/GNOME did not help. I then removed compiz and not only did the loop problem go away, but so did the duplicate icon issue.

I'm not 100% sure of the correlation as I don't know where the gnome-panel logs are stored to even check what the error was, but adding it just in case the compiz guys might have an idea of what is going on.

-Brian

I am noticing the same problem on i368 Karmic. Restarting gnome-panel works for me as well. This has only recently been happening, although, I'm not sure when it started. I installed over rather than upgrade, so the .files shouldn't have any hang overs from 9.04.

Zbych (zbych) wrote :

The same here - the sound volume icon is duplicated and shown instead of nm-applet icon.
killall gnome-applet or killall nm-applet; nm-applet fix it so I can start using wireless.
Restarting sometimes helps - but it is really random behaviour
I have 9.10 Ubuntu - installed from scratch so I do not think I have problems with conf files.

sometimes 2 soundicons in panel on 2 differents computers , when there are 2 the network icon is missing

gaintpune (ralf-milunchup) wrote :

i have something very similar to this. Using ubuntu 9.10 x64 i get duplicate icons. When I right-click a bluetooth icon and select "remove from panel" to try to get rid of the duplicate icon, I get very strange behavior. Both the upper and lower panels go on the fritz. They get stuck in a loop where they appear as they do when the PC first starts up. Then they disappear 3 seconds later. And the cycle repeats indefinitely.

Logging in with "gnome-failsafe" stops the issue and renaming the .gconf lets me log in without using "gnome-failsafe" but it resets all the settings.

Same here. My card is intel gma. I saw the problem (and reported) in linux mint too. I only see this bug in the 9.10 generation. Sometimes the icon is an empty space, but usually, replaced by a distorted version of another one. But in my case it's not just the notification area, but once it was the "computer temperature monitor" too, as you can see in my scereenshot. However, mainly it's the network icon. My system is an i386 karmic and I use compiz too.

Vlad Novak (vnovak06) wrote :

This annoying bug affects me also since the release of Karmic. After startup, in 80% times the Notification area is messed up, icons are duplicated and sometimes the sound is muted.

NVidia FX5200 video card here, if it has anything to do with it. I never had this issue on previous Ubuntu releases.

'killall gnome-panel' does fix it for the current session, but the bug persists after every new startup.

Telecaster72 (olovfh) wrote :

Bug confirmed here too, it happens every once in a while, when i do: "alt+f2 gnome-panel --replace" it always comes back the right way.

Karmic, compiz running, nvidia gforce3 ti200

okubax (xappeal) wrote :

Ditto here also...been experiencing the bug for as long as I have been using karmic hope it get fixed in lucid.

Karmic, compiz, Intel 945GM

Robert Hrovat (robi-hipnos) wrote :

Same with Lucid. Mostly showing double icons for bluetooth and sound.

Actually u don't need to restart networking or anything else, just remove the notification area from the panel and add it again and you're done.

Dave Gilbert (ubuntu-treblig) wrote :

I seemed to have gained this today after upgrading this machine from Karmic to Lucid beta.
Machine has Intel graphics and is a laptop (and answers to the name davros). I've included a screen shot. I'd say there are 3 distinct things happening:

1) The power icon keeps coming and going even though it's plugged into AC continuously - that could be an artifact of the
way in which the power thing works?
2) We have those vertical stripes.
3) There is a growing gap between the two chunks of vertical lines which makes me think the notification area is growing for some reason.

My other machine running Lucid isn't suffering from this.

Dave

Dave Gilbert (ubuntu-treblig) wrote :

Oops, forgot to say - this is running metacity - NOT compiz.

Peter Belew (peterbe) wrote :

This is still happening on my Dell netbook with the standard (not netbook) version of Karmic installed, updated through this morning. It just happened to me after I logged off and logged back in to Gnome. There were duplicate volume-control icons. But then I looked away and looked back a minute or two later, and the icons had redrawn correctly! (My info is in Bug #555995, set as a duplicate to this one).

Runing 'top' shows me that compiz.real is running.

Peter Belew (peterbe) wrote :

I re-logged-in again and now I have 2 battery icons right after logging in - then a fraction of a minute later I have network-manager, battery, and volume-control icons showing.

Peter Belew (peterbe) wrote :

This is also happening to me when I first log on. I'm attaching an image of the top right of my screen, after logging on to my Dell 10v netbook. I'm running the standard Gnome version of Karmic, not a netbook remix.

Ubuntu version and kernel version
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=9.10
DISTRIB_CODENAME=karmic
DISTRIB_DESCRIPTION="Ubuntu 9.10"
Linux mini 2.6.31-20-generic #58-Ubuntu SMP Fri Mar 12 05:23:09 UTC 2010 i686 GNU/Linux
model name : Intel(R) Atom(TM) CPU N270 @ 1.60GHz
model name : Intel(R) Atom(TM) CPU N270 @ 1.60GHz
cpu MHz : 1600.000
cpu MHz : 1600.000

Just now, the notification area reverted to its proper configuration, showing the volume control, NetworkManager Applet 0.7.996, and the battery indicator, left to right. So some task that's running frequently refreshes the notification area display. I suppose this reduces the severity of this bug to a mere nuisance!

Peter Belew (peterbe) wrote :

As someone noted above, I've also observed that removing and re-adding the notification area will generally restore the proper icons.

I notice that this has been seen in both Karmic and Lucid, by various people.

Yes, it's interesting that some programs do some things correctly, but when they are starting, for the first time they frequently make a mistake in them. But if u reload that, it's ok again. Same as google chrome when loading pages from the last session and some ohter programs doing strange things at startup. I never understand this...

summary: - notification area shows wrong icons. erratic behaviour
+ visual corruption affecting several panel applets
DGMcCloud (duncan-doyle) wrote :

Same problem here after the upgrade from Karmic to Lucid. Sometimes I have 2 sound icons where one of the icons should have been nm-applet. Sometimes the area where the nm-applet icon should have been is empty, but the notification area is still sized as if there is an icon and if you aim correctly (there are one or 2 pixels shown) and right-click, you actually get the nm-applet menu.

Removing the notification area and re-adding shows the correct icons again (but this will only last until the next reboot). What also seems to fix this issue is when you place the notification area more to the right. The configuration 'notification area|indicator applet|clock|indicator applet session' shows the behavior described in this bug-report, but when I rearrange it to 'indicator applet|notification area|clock|indicator applet session' the behavior seems correct and I don't experience this issue.

This is a very annoying bug. Not being able to see a crucial icon as nm-applet, with which you control your wireless connections, will not help people to switch to Ubuntu and will not fix Ubuntu bug #1: https://launchpad.net/ubuntu/+bug/1
These kinds of bugs, how small they appear to be to an experienced user, are not helping Ubuntu becoming the Linux for Human Beings that it wants to be.

"These kinds of bugs, how small they appear to be to an experienced user, are not helping Ubuntu becoming the Linux for Human Beings that it wants to be."

Sorry, but this isn't a forum. It's a bug tracker.

DGMcCloud (duncan-doyle) wrote :

"Sorry, but this isn't a forum. It's a bug tracker."

Excuse me? I just took the time to do some testing on this issue (changing configurations of applets, rearranging them, rebooting a couple of times, rearranging them again, etc.) to see if I could easily reproduce the issue. I then took the time to look for similar bug-reports to avoid opening a duplicate. I wrote down my findings in order to help fix this bug. The whole comment was on topic. The last paragraph was meant to show that I think that the priority of this bug should be raised, because it is these kind of bugs that scare people off.

I'm just trying to help man, and then I get a reply like that? I thought we were all here to make Ubuntu a better OS. Sorry if I misunderstood that.

Peter Belew (peterbe) wrote :

I must say I sympathize with the previous comment.

Having said that, this is still happening. on various systems of mine, with different display drivers: I don't think it's a display driver issue.

Some have noted that this happens or persists after a system upgrade where the home directory is preserved - so old dot-file configuration options may still exist.

Has the upstream Gnome bug report been kept up-to-date?

Robert Hrovat (robi-hipnos) wrote :

I use 3 machines. One with ATI graphics, one with nVidia and a laptop with Intel. It happens on all systems and I *never* preserve home directory. I installed Lucid since beta came out and it was fresh install several times. This issue is still present. Just now I'm watching double BT icons, yesterday I had 3 volume applets and double calendar overlapping each other. Usually log off/logon solves the problem until next reboot.

And I agree, such annoyances does not keep good reputation and my list of Ubuntu annoyances that drives me crazy for years, just gets longer and longer :-(

Robert Hrovat (robi-hipnos) wrote :

Oh, forgot to mention. It also happens on i386 and amd64 Ubuntu. So it's not graphic driver, it's not architecture but must be something with gnome-panel. Can desktop-effects interfere with panel?
The first time I've noticed this was on Karmic since November I think.

DGMcCloud is completely right. Ubuntu is a perfect os, but it has these "small" problems, that scare new users and they go back to the "good old" Windows. This issue is far more important than it seems.

However I see 2 comfortable ways how to handle it, until it's solved:

1. remove tho notification area and add it again, which will correct the problem. --However, sometimes even other icons are concerned, not just the notification area ones, so:

2. run "killall gnome-panel", which reloads the panel already correctly (as the problem happens only at startup). U can save this command to a file on ur desktop and make the file executable and u just run the file when it happens.

P.S. It's not an Ubuntu bug, the same happens in other gnome-based distros too. It has nothing in common with any graphics drivers, it's a gnome-panel bug. (Or rather one of many.)

However, I forgot to mention, that I haven't experienced this for a longer time & now, as I have switched to 10.04, I haven't experienced it so far. Even the order of the icons in notification area seems stable, and playing games in fullscreen thru wine won't mess them up either, so there has been some progress, certainly!

rupert (r-plumridge) wrote :

This bug affects me in Lucid. I think clasifying it of low importance is a serious mistake. When it happens to me, often the logout button often disappears. To a new user, they would then have no way of logging out or shutting down (since they are unlikely to know about sudo shutdown -hP or about adding the logout applet). Also, users coming from windows see this area as their task bar replacement - if this area has problems in Windows, it indicates a serious fault. Thus, people will assume these issues indicate a sever fault in Ubuntu....

Attached is a screenshot and I'll keep on adding them as they occur.

Here is my info:
ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: gnome-panel 1:2.30.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Wed May 5 10:06:39 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.utf8
 SHELL=/bin/bash
SourcePackage: gnome-panel

rupert (r-plumridge) wrote :
rupert (r-plumridge) wrote :
rupert (r-plumridge) wrote :
Download full text (3.6 KiB)

I upgraded to Lucid (fresh install), and this bug keeps affecting me. I
agree with the previous poster, it's not a low priority bug.

To switch off, I had to put my finger over the power on button and select
the right choice from the pop up menu.

On Wed, May 5, 2010 at 2:57 PM, rupert <email address hidden> wrote:

>
> ** Attachment added: "Screenshot.png"
> http://launchpadlibrarian.net/47870748/Screenshot.png
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: New
> Status in Desktop panel for GNOME: Unknown
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> I'm using karmic x86_64, updated as of 2009-09-30.
>
> It's very hard to describe the bug, so a screen shot is attached.
>
> As seen on the screen shot, after start up the notification area gets
> scrambled, it shows, in case of this screen shot, two volume control icons,
> one of them is the actual volume control icon, and the other one is just a
> copy of it, it just sits there, clicking on it doesn't do anything, and
> right clicking on it will bring the standard notification area sub-menu.
> Also missing here is a network manager icon.
>
> However:
> The phantom icon can be a clone of any other icon in the notification area.
> I've seen already phantoms of bluez icons, network manager icons and so on.
> And the missing icon,can also be any of the other icons, there is no rule or
> consistency :)
>
> Also, killing the application with a missing icon will remove the phantom
> icon, starting the application afterwards will show a correct functioning
> icon.
> In the case of this screen shot, the missing icon was of a nm-applet, so
> after I killed the nm-applet, one of the volume icons (the phantom one)
> disappeared, I then started the nm-applet again, and the correct icon for
> it appeared and worked as intended.
>
> I haven't seen any related messages in the logs for this.
> If you need more information and/or some additional testing,I will be glad
> to do it.
>
> Thanks :)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Sep 30 17:31:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/gnome-panel
> NonfreeKernelModules: nvidia
> Package: gnome-panel 1:2.28.0-0ubuntu3
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: gnome-panel
> Uname: Linux 2.6.31-11-generic x86_64
>
> ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> EDIT (RodGer):
> I'm adding the description from the report I've done for a similar problem
> on my system which is not a 64 bit system. I also marked my report as
> duplicate (bug #484547)
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Nov 18 01:04:57 2009
> DistroRelease: Ubuntu 9.10
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> Package: gnome-panel 1:2.28.0-0ubuntu6
...

Read more...

Sebastien Bacher (seb128) wrote :

those comments discussing bug settings are not really useful there, the issue is a known to be an annoying one

That's what I meant before: only information intended to solve the bug is useful. Keep it simple, please.

rupert (r-plumridge) wrote :

Fair enough. Any suggestions as to how we can help track this bug down and solve it? Since no app is apparently crashing, logs don't seem relevant. Maybe a dummy app that puts an icon in the panel and then somehow monitors that icon? Just wanna help out, as I know screenshots and whining on the side of the user isn't that useful!

DGMcCloud (duncan-doyle) wrote :

OK, weird, I haven't had this problem for a couple of days now. The thing I did was to right click the panel, select 'properties', and then disable 'expand', wait till the panel resizes and then enable 'expand'.

Can somebody try that please, so we can see whether that fixes the issue in other cases as well?

Alex (presoblu) wrote :
Download full text (3.6 KiB)

consider me in. I've just tried, I'll let you know.

On Wed, May 5, 2010 at 6:42 PM, DGMcCloud <email address hidden> wrote:

> OK, weird, I haven't had this problem for a couple of days now. The
> thing I did was to right click the panel, select 'properties', and then
> disable 'expand', wait till the panel resizes and then enable 'expand'.
>
> Can somebody try that please, so we can see whether that fixes the issue
> in other cases as well?
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: New
> Status in Desktop panel for GNOME: Unknown
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> I'm using karmic x86_64, updated as of 2009-09-30.
>
> It's very hard to describe the bug, so a screen shot is attached.
>
> As seen on the screen shot, after start up the notification area gets
> scrambled, it shows, in case of this screen shot, two volume control icons,
> one of them is the actual volume control icon, and the other one is just a
> copy of it, it just sits there, clicking on it doesn't do anything, and
> right clicking on it will bring the standard notification area sub-menu.
> Also missing here is a network manager icon.
>
> However:
> The phantom icon can be a clone of any other icon in the notification area.
> I've seen already phantoms of bluez icons, network manager icons and so on.
> And the missing icon,can also be any of the other icons, there is no rule or
> consistency :)
>
> Also, killing the application with a missing icon will remove the phantom
> icon, starting the application afterwards will show a correct functioning
> icon.
> In the case of this screen shot, the missing icon was of a nm-applet, so
> after I killed the nm-applet, one of the volume icons (the phantom one)
> disappeared, I then started the nm-applet again, and the correct icon for
> it appeared and worked as intended.
>
> I haven't seen any related messages in the logs for this.
> If you need more information and/or some additional testing,I will be glad
> to do it.
>
> Thanks :)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Sep 30 17:31:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/gnome-panel
> NonfreeKernelModules: nvidia
> Package: gnome-panel 1:2.28.0-0ubuntu3
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: gnome-panel
> Uname: Linux 2.6.31-11-generic x86_64
>
> ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> EDIT (RodGer):
> I'm adding the description from the report I've done for a similar problem
> on my system which is not a 64 bit system. I also marked my report as
> duplicate (bug #484547)
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Nov 18 01:04:57 2009
> DistroRelease: Ubuntu 9.10
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> Package: ...

Read more...

MichaelB (mrbou) wrote :

I have the same problem intermittently.. Sound icon doubled and shutdown icon missing (see attachment)..

DistroRelease: Ubuntu 10.04
Architecture: amd64

Chad Miller (cmiller) on 2010-05-07
Changed in compiz:
status: New → Invalid
Jon Dowland (jond) wrote :

Hi Chad, reading the bug notes I can't understand why the bug is invalid. Can you please explain?

It's only invalid for compiz, which is true, but me I don't understand why
is the importance "low"?

rupert (r-plumridge) wrote :

Check comments 61 and 62, they only like people to post informative stuff and fixes, no chit chat :( I guess that is what the Ubuntu forums are for....

Tom De Caluwé (tom-de-caluwe) wrote :

This bug has been randomly affecting my notification area since I did a fresh Lucid install. The problem seems to be that gnome draws a part of the MeMenu on top of the shutdown icon (as illustrated in the attachment "bug.png").

Redrawing the panel (as described in comment #15) solves the problem.

Final remark: Like Dave Gilbert I'm running Metacity - not Compiz.

Today I've realized something that has certainly something in common with this bug. When I start qtorrent, which uses an own notification area icon, what appears first is a fake of the icon that is located to the right or left of the qtorrent icon, only after a couple of seconds it changes to the correct image. So for a couple of seconds I see a doubled icon, one of them is cut on one side in the case if the fake image is wider than the qtorrent icon.

In another words, it loads something else first, only later it loads the correct icon. It's always an other icon, depending on what's nearby.

Hampton (hamptos) wrote :

I am having the same issue with the Me Menu drawing over the shutdown menu, rendering it inaccessible. Screenshot attached.

timosha (timosha) wrote :

Same problem here in Ubuntu 10.04 (and also in Debian Squeeze !)

Alex (presoblu) wrote :

ten days ago I've tried what is suggested on comment #64.

so far, the issue didn't come out: I start thinking that it does work.

rupert (r-plumridge) wrote :

I agree with Alex. That "solution" from #64 fixes it, so it is clearly something wrong with the way icons are being added to and drawn on the panel during boot. I am wondering if it occurs in a vanilla Ubuntu install, or only if another program has been installed that puts an icon in the panel. If some one can confirm they get it, even with no other apps drawing icons in the panel, then it is simply a bug in panel-applet-indicator, rather than problems with other apps interacting with the panel.

Robert Hrovat (robi-hipnos) wrote :

Happened to me today after clean install. And after adding one app to panel, whole X system became unresponsive so I had re reset computer. After that, I had to logon/logout several times to get those icons the way they suppose to be.

ralemi (alemi-reza) wrote :

Same here, on Lucid Desktop 64 bit with Nvidia GeForce 9300 M on 195.36 driver version. funny thing is that it only happens to me when the computer wakes from hibernate or sleep, not in restart.

Jonathan K (jonathank89) wrote :

This occurs ~40% of the time after logging into my desktop. I'm running Ubuntu 10.04 LTS, 32-bit, I'm using Compiz and using the open source ATI drivers.

rupert (r-plumridge) wrote :

Actually, on further investigation, the solution from post 64 does not always fix the issues. Check the two attached screenshots. This is before and after enabling / disabling Expand. It fails to sort out the repeated "T" over the Wireless Applet. Also know the jumbled up placement of the indicators.

rupert (r-plumridge) wrote :

2nd screenshot.

underdog512 (amobley1124) wrote :

This is the worst I have seen it on my laptop. This occurred trying the fix in comment 64. see attached

Alex (presoblu) wrote :
Download full text (3.7 KiB)

just to state that this bug is still classified as "low" importance.

see the last screenshot: we have lot of users that see a mess on their
panels, it should at least gain some importance.

On Tue, May 18, 2010 at 3:17 PM, underdog512 <email address hidden> wrote:

> This is the worst I have seen it on my laptop. This occurred trying the
> fix in comment 64. see attached
>
> ** Attachment added: "bug.png"
> http://launchpadlibrarian.net/48660784/bug.png
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: Unknown
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> I'm using karmic x86_64, updated as of 2009-09-30.
>
> It's very hard to describe the bug, so a screen shot is attached.
>
> As seen on the screen shot, after start up the notification area gets
> scrambled, it shows, in case of this screen shot, two volume control icons,
> one of them is the actual volume control icon, and the other one is just a
> copy of it, it just sits there, clicking on it doesn't do anything, and
> right clicking on it will bring the standard notification area sub-menu.
> Also missing here is a network manager icon.
>
> However:
> The phantom icon can be a clone of any other icon in the notification area.
> I've seen already phantoms of bluez icons, network manager icons and so on.
> And the missing icon,can also be any of the other icons, there is no rule or
> consistency :)
>
> Also, killing the application with a missing icon will remove the phantom
> icon, starting the application afterwards will show a correct functioning
> icon.
> In the case of this screen shot, the missing icon was of a nm-applet, so
> after I killed the nm-applet, one of the volume icons (the phantom one)
> disappeared, I then started the nm-applet again, and the correct icon for
> it appeared and worked as intended.
>
> I haven't seen any related messages in the logs for this.
> If you need more information and/or some additional testing,I will be glad
> to do it.
>
> Thanks :)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Sep 30 17:31:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/gnome-panel
> NonfreeKernelModules: nvidia
> Package: gnome-panel 1:2.28.0-0ubuntu3
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: gnome-panel
> Uname: Linux 2.6.31-11-generic x86_64
>
> ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> EDIT (RodGer):
> I'm adding the description from the report I've done for a similar problem
> on my system which is not a 64 bit system. I also marked my report as
> duplicate (bug #484547)
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Nov 18 01:04:57 2009
> DistroRelease: Ubuntu 9.10
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (2009...

Read more...

description: updated
rupert (r-plumridge) wrote :

Check comments 49, 56, 62 - it seems the guys in charge don't like being told what to do. They have deemed this of low importance, so the users have to view it as such, apparently (regardless of the fact that if this bug affects you, you can't log out / shutdown / restart unless you know what you are doing)....

Chris Coulson (chrisccoulson) wrote :

Well, those comments you referred too don't appear to be from people in charge.

Changing the importance of the bug isn't going to affect how quickly it is fixed. We know the bug is there, and we know it is annoying for users. We just don't know what is causing it yet though.

We don't need any more screenshots on here, or comments telling us how bad the bug is. All that is doing now is spamming the people who are subscribed. Please keep any discussion focused on finding a solution

Märt Suga (mart-suga) wrote :

This bug has not appeared for some time now, but today it reappeared.
I also noticed that this time the battery applet was loaded into the indicator applet. Most of the times the battery applet does not work for me (probably caused by this this bug: https://bugs.launchpad.net/ubuntu/+source/libusb/+bug/427805 )
I think there might be a connection.

The easiest temporary one-time fix is "killall gnome-panel".

timosha (timosha) wrote :

For what it is worth: this bug doesn't only appear in Ubuntu Lucid but also in my Debian Squeeze (Testing) installation.

Today the shut-down button became unusable because of this problem - this makes it really hard for
inexperienced users to shut down their computers.
This smells like a major usability problem and should be taken serious.

I believe that at least the following could/should be done, as long as this bug exists:
Put the options for logout/shut-down back to the System menu.

Although this would not fix the underlying issue, at least this would enable inexperienced users to come back to normal by a logout/login sequence or a restart.

rupert (r-plumridge) wrote :

Exactly the point many bug reporters have been making. Although this doesn't cause a serious crash, it can effectively lock an inexperienced user in to their system with no way of exiting. Sadly, this issue highlights a major flaw in the Ubuntu bug reporting process, in that the importance of an issue is viewed differently by different people depending on their technical background......

As a work around for the issue you had, and this if for new users stuck with this issue until a proper fix is released:

1) Right click on the panel (the top bar) and choose Add to panel
2) Scroll down the list of options and choose Shut Down
3) This will add a nice red Shut Down button to your panel, giving you the option to shutdown or restart.
4) For extra safety, right click on the newly added red Shut Down button and select move.
5) Drag the button to the right hand side of your panel, this way it is least likely to be affected by these graphical issues.

This is the only reliable GUI way I have found to shut down the system (Yes, I know I could simply type "sudo shutdown -hP now" in the terminal, but these days Ubuntu is also aimed at the average non-techie user coming from Windows, hell, it is even sold on Dells now, so we can't expect all Ubuntu users to know about this....)

ralemi (alemi-reza) wrote :

@rupert and Christian: Sorry guys, but what do you mean "it can effectively lock an inexperienced user in to their system with no way of exiting"? All one has to do is press CTRL-ALT-DEL and the shutdown window will pop up. if "Ubuntu is also aimed at the average non-techie user coming from Windows" then that user knows of the key combination and will instinctively try it right away.

Cheers,
Rex

Alex (presoblu) wrote :
Download full text (4.0 KiB)

try telling my father that he has to do CTRL+ALT+DELETE in order to shut
down his computer. I'm sure he's going to take out the power line and wait
until the battery drop all his charge, if it happens to him.

seriously Rex, a non-techie user can't know the CTRL-ALT-DEL combination.
not all ubuntu users come from Windows, my father doesn't.

On Sat, May 22, 2010 at 8:39 AM, ralemi <email address hidden> wrote:

> @rupert and Christian: Sorry guys, but what do you mean "it can
> effectively lock an inexperienced user in to their system with no way of
> exiting"? All one has to do is press CTRL-ALT-DEL and the shutdown
> window will pop up. if "Ubuntu is also aimed at the average non-techie
> user coming from Windows" then that user knows of the key combination
> and will instinctively try it right away.
>
> Cheers,
> Rex
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: Unknown
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> I'm using karmic x86_64, updated as of 2009-09-30.
>
> It's very hard to describe the bug, so a screen shot is attached.
>
> As seen on the screen shot, after start up the notification area gets
> scrambled, it shows, in case of this screen shot, two volume control icons,
> one of them is the actual volume control icon, and the other one is just a
> copy of it, it just sits there, clicking on it doesn't do anything, and
> right clicking on it will bring the standard notification area sub-menu.
> Also missing here is a network manager icon.
>
> However:
> The phantom icon can be a clone of any other icon in the notification area.
> I've seen already phantoms of bluez icons, network manager icons and so on.
> And the missing icon,can also be any of the other icons, there is no rule or
> consistency :)
>
> Also, killing the application with a missing icon will remove the phantom
> icon, starting the application afterwards will show a correct functioning
> icon.
> In the case of this screen shot, the missing icon was of a nm-applet, so
> after I killed the nm-applet, one of the volume icons (the phantom one)
> disappeared, I then started the nm-applet again, and the correct icon for
> it appeared and worked as intended.
>
> I haven't seen any related messages in the logs for this.
> If you need more information and/or some additional testing,I will be glad
> to do it.
>
> Thanks :)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Sep 30 17:31:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/gnome-panel
> NonfreeKernelModules: nvidia
> Package: gnome-panel 1:2.28.0-0ubuntu3
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: gnome-panel
> Uname: Linux 2.6.31-11-generic x86_64
>
> -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------...

Read more...

Bruno Girin (brunogirin) wrote :

@ralemi: it can have a number of effects as it can disable any indicator in the top panel. In no particular order, I've occasionally been unable to:
- connect to a wireless network (no wireless indicator and no alternative way to do this)
- open Evolution, Gwibber or Empathy via the indicator (granted, you can go through the applications menu but when you are so used to using the indicator you sometimes forget)
- log out (the CTRL-ATL_DEL method doesn't offer a logout option, only shutdown, restart, suspend and hibernate)
- open Rhythmbox: as Rhythmbox automatically minimises to the notification tray on start up, if the notification icon doesn't show up, you have no way to open the main window

Considering the number of users affected and how heavily Ubuntu is pushing application indicators (you'll have even more of them in Maverick), I think the importance of this bug should be medium at least.

Queue29 (lordtrombe) wrote :
Download full text (4.1 KiB)

I'm sorry, but this is exactly the mentality
that distinguishes the professionalism of Microsoft/Apple and the ghettoness
open source software. The fact is, it's 2010, and the leading
Linux distribution can't even get a working "shutdown button", and in fact
developers such as yourself are making excuses instead of actually working
on the problem.

This needs to be fixed. This needs to be fixed now.

Seth Hoenig
<email address hidden>

On Sat, May 22, 2010 at 1:39 AM, ralemi <email address hidden> wrote:

> @rupert and Christian: Sorry guys, but what do you mean "it can
> effectively lock an inexperienced user in to their system with no way of
> exiting"? All one has to do is press CTRL-ALT-DEL and the shutdown
> window will pop up. if "Ubuntu is also aimed at the average non-techie
> user coming from Windows" then that user knows of the key combination
> and will instinctively try it right away.
>
> Cheers,
> Rex
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: Unknown
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> I'm using karmic x86_64, updated as of 2009-09-30.
>
> It's very hard to describe the bug, so a screen shot is attached.
>
> As seen on the screen shot, after start up the notification area gets
> scrambled, it shows, in case of this screen shot, two volume control icons,
> one of them is the actual volume control icon, and the other one is just a
> copy of it, it just sits there, clicking on it doesn't do anything, and
> right clicking on it will bring the standard notification area sub-menu.
> Also missing here is a network manager icon.
>
> However:
> The phantom icon can be a clone of any other icon in the notification area.
> I've seen already phantoms of bluez icons, network manager icons and so on.
> And the missing icon,can also be any of the other icons, there is no rule or
> consistency :)
>
> Also, killing the application with a missing icon will remove the phantom
> icon, starting the application afterwards will show a correct functioning
> icon.
> In the case of this screen shot, the missing icon was of a nm-applet, so
> after I killed the nm-applet, one of the volume icons (the phantom one)
> disappeared, I then started the nm-applet again, and the correct icon for
> it appeared and worked as intended.
>
> I haven't seen any related messages in the logs for this.
> If you need more information and/or some additional testing,I will be glad
> to do it.
>
> Thanks :)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Sep 30 17:31:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/gnome-panel
> NonfreeKernelModules: nvidia
> Package: gnome-panel 1:2.28.0-0ubuntu3
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: gnome-panel
> Uname: Linux 2.6.31-11-generic x86_64
>
> ---------------------------------------------------------------------------------...

Read more...

Noel Arzola (noel.arzola) wrote :

Just to clear things up, you can open any of the programs in the applet from the applications menu (forgetting does not mean the functionality is not there), even rhythmbox regardless of if it minimizes to the tray (if you call on it from the apps menu it will come to focus).

But the real reason for this post is to quote Chris's very true and important message:

"We don't need any more screenshots on here, or comments telling us how bad the bug is. All that is doing now is spamming the people who are subscribed. Please keep any discussion focused on finding a solution"

Please respect this.

DGMcCloud (duncan-doyle) wrote :

The solution I described in #64 doesn't work. I had the issue again on my last boot. Now my logout button is gone (it's now a dupe of the clock). Looks like I'm back to old-school 'shutdown -h now' (I swore never to use Ctrl-Alt-Del ever again in my life). This is just plain ridiculous. I agree with post #92, this needs to be fixed now! No excuses. An OS that wants to be taken seriously just can't have a bug like this in 2010.

Saurav (sauravzone1) wrote :

I have a Dell Inspiron 1545 laptop with Intel GM45 graphics and am using Lucid i386, on which the icons in my notification area sometimes come up as overlapped duplicates, sometimes as broken images and sometimes not at all (missing icons). In my case this is random and logging out and then logging in again usually corrects the problem for the time being. I will attach a screenshot the next time I experience this issue. Bug #569996 too seems to be caused by this one, although it is marked as affecting gnome-power-manager as of this writing. Bug #584351 also seems to be a duplicate.

I did not experience this problem in any previous version of Ubuntu and neither on any other distribution so I did not know that this is such a long-standing issue. It is not just a visual annoyance. It causes delays when you need to access the icons' functionality and thus is a major problem when time is at a premium. It needs to be corrected immediately.

Saurav

Saurav (sauravzone1) wrote :

Sorry for my statement about adding a screenshot - didn't see Chris's message, but it's difficult when there are so many messages. At least there should be an easy and direct way to edit one's own comments.

Saurav

Saurav (sauravzone1) wrote :

Several users seem to be experiencing difficulties shutting down, rebooting or logging out in the absence of the panel icon's functionality. The following methods may help: -

If you want the functions for logging out, shutting down, etc., back in the System menu, right-click the power-button or "shut down" icon on the panel designed for this, which by default appears in the top-right corner, and select Remove From Panel. You may want to move the rest of the items to reclaim the empty space.

If you want to shut down or reboot, the traditional method is through the command shutdown -h now or shutdown -r now, but you can also press the Ctrl+Alt+Delete key combination.

If you want to shut down, reboot, log out, hibernate or suspend, you can use one of the commands gnome-session-save --logout, gnome-session-save --logout-dialog or gnome-session-save --shutdown-dialog. See man gnome-session-save for more information.

Press Alt+F2 and type the command in the window that appears if you do not wish to open the Terminal.

Also, as mentioned by f00fyf00fer, most functionality can be alternatively accessed from the main menu. However, some critical functions such as the Network Manager functions and the indication of battery state on a laptop cannot be so easily accessed in a GUI setting in the absence of the panel icons. Besides, the problem is not so much the use of textual commands as the forced use of such commands because of the malfunctioning of elementary GUI facilities. These are, it seems to me, the main reasons people are so angry here.

Saurav

loko (arph) wrote :

I am affected by this bug as well. On my Computer it happens randomly. That means, even if the applets load well at the beginning, after a while and sporadically a second battery indicator applet appears. I have this problem only with this applet, never had another one doubled. Also it is in two different sizes but their behavior is the same (clicking on them opens their context-menu). This applet appears sometimes when opening Openoffice, opening pdf-files and so on. Restarting the panel with killall gnome-panel does not solve the problem. The icon is still there. I have to logout and login.

loko (arph) wrote :

I forgot to mention that I use latest Lucid with all updates and it was a fresh install. Also the expand-option in the panel doesn't solve the problem.

DGMcCloud (duncan-doyle) wrote :

Experienced it again today, this time the wireless-network icon was gone and instead I had a dupe of the edge of the notification area (that vertical bar). This time I just tried to reload the gnome-panel (without logging out) by issuing the command 'killall gnome-panel'. This killed and reloaded the gnome-panel and all icons showed correctly. So I think I'm gonna create a Launcher with this command so I can easily reload the panel when the problem occurs.

Chris Coulson (chrisccoulson) wrote :

Could people experiencing this please edit /usr/share/applications/gnome-panel.desktop and change the Exec line from:

Exec=gnome-panel

...to...

Exec=sh -c 'export GDK_NATIVE_WINDOWS=1 && gnome-panel'

..and report back if it changes anything? I haven't seen the issue since running with GDK_NATIVE_WINDOWS, but that might just be a coincidence

Bruno Girin (brunogirin) wrote :

@Chris, I will do the change. However, as the bug is intermittent, it's difficult to say whether it's fixed or not.

Having said this, I've got a theory that I'd like to get past you to see if it makes sense. The issue only occurs in the Indicator Applet so could it be triggered by some behaviour that is specific to that applet and no other? I downloaded the code for indicator-applet and if I understand it well, here's what happens:
- there are 2 instances of the applet: Indicator Applet and Indicator Applet Session, the later being responsible for the "me" and "session" menus and the former being responsible for all other menus, in particular the application notification;
- login time is when most applications that create an indicator start and they all start in parallel

So could there be a race condition in indicator-applet? In particular, is there a possibility that several threads call the applet_fill_cb or load_module methods in indicator-applet/applet-main.c, which themselves call entry_added. If you have several threads calling entry_added at the same time, there is a chance that line 225, which as far as I understand calculates the entry's position, could be called several times concurrently and hence calculate an erroneous position? Line 225 on my version is this:

gtk_container_foreach(GTK_CONTAINER(menubar), place_in_menu, &position);

How can I confirm whether this is the case? I'm happy to add extra log statements to that code and run it if it helps.

Sebastien Bacher (seb128) wrote :

> So could there be a race condition in indicator-applet?

Thank you for your work but that's not likely, the issue is not limited to indicator and has been confirmed by comments there on distribution which don't use indicators but only standard applets so it's likely a bug in gnome-panel or gtk

@Chris: Just tried what you suggested in comment #101, logged out, logged back in and got a corrupted panel.

Chris Coulson (chrisccoulson) wrote :

Tommaso, thanks for trying.

Bruno - I've seen this in pretty much every applet I have on the panel

Bruno Girin (brunogirin) wrote :

@Chris: I'm sure you're right. My reasoning was the following: this only happens with the indicator applet and no other applet so could it be triggered by something that the indicator applet does that no other applet does? In practice, the indicator applet (or the application notification area for distros that don't have the indicator applet) presents two specific behaviours that differentiate it from other applets:
1. It changes size dynamically.
2. Each element in the notification area has a size that depends on the application that requests it and therefore a display position that depends on a non-trivial set of variables (namely the sizes and positions of all other indicators to its right).

Only one other applet presents behaviour #1, the window list, and none of them (at least in a standard Ubuntu install) present behaviour #2. Therefore, a programming pattern that works well with every applet you have on the desktop may accidentally trigger unexpected behaviour in gnome-panel when used in something significantly more complex like the indicator applet or the notification area.

Now, my experience of programming with gnome-panel (or gtk for that matter) is close to nil so I may be talking complete nonsense. However, being stubborn, I'd like to prove to myself that I'm talking nonsense so I'll see what I can do to investigate my idea and will report here.

Noel Arzola (noel.arzola) wrote :

My bug #571267 was marked as a dupe of this. I just wanted to add that as stated on that page this only affected my 6 machines when compiz was enabled. Once none for desktop effects was chosen the issue ceased on each machine. I see others have noticed this as well.

BTW, issue is not recreated when using metacity's comp manager.

Märt Suga (mart-suga) wrote :

I would bet my money on buggy battery applet. For me the panel is messed up only when I have no battery charger connected and I boot with battery not fully charged. For example yesterday - the indicator applet was messed up again. There were two battery icons: one showed half-full battery (the not working phantom one that replaced the network applet) and the other one showed empty red (this one could be clicked). Battery was half full at that time. After "killall gnome-panel" only the empty red battery icon appeared. But clicking on that icon told me that there was more than 2 hours battery still left.

Saurav (sauravzone1) wrote :

@Chris: Will try what you have suggested and will report back.

@Märt: The problems you have mentioned with the battery applet are actually two separate problems. The phantom icon is due to this bug. The incorrect battery charge information shown is a separate problem. It shows what upower reports. I have filed a separate bug report for that as bug #574756.

I have experienced double battery icons in the default configuration of the icon's visibility: System, Preferences, Power Management, General, Notification Area, Only display an icon when charging or discharging. On changing that setting to 'Always display an icon,' at least the problem of the double battery icon gets resolved, although the whole thing may still sometimes get corrupted as a consequence of the bug we are tracking here.

Saurav

Robert Hrovat (robi-hipnos) wrote :

@Chris: Today I had messed panel again so I've tried your fixed. After relogin, panel asked it should remove clock applet. I said do it and then I put it back.

But I have noticed that this bug is mostly present when clock applet has location configured so it shows temperature.

In my experience it depends from theme. I use the UBUNTU DAWN theme with MAC ICONS and long time I haven't seen this problem, but I re-logged into a different user with the default theme and suddenly the power button was broken... With my beloved settings it has never happened so far!

For Märt Suga: Does it happen to u all the time booting like this. Try out my settings, it would be great to see, if it was a theme related problem.

Robert Hrovat (robi-hipnos) wrote :

I don't think it's theme problem. On Lucid I user Radiance but same thing was happening on Karmic with Human theme.

Märt Suga (mart-suga) wrote :

@ zsolt: no it does not happen every time, that would be to easy :)
It just seems to me that it mostly happens when I have the battery half full or power cord not connected. And so far it has only happened when I restart. Logout/login has not shown any visual corruption so far - it maybe a coincidence since I use it very rarely.

I don't say it's a theme problem for sure, but anyway I find it strange that it suddenly never happens with my settings. I'm going to use another theme for some time now and see what happens.

Omer Akram (om26er) wrote :

can any one of the affected person remove the Menu Bar (Applications Places System) with right click and add 'Main Menu' applet and then change the panel width to 22px and see if there is any change.

Saurav (sauravzone1) wrote :

@Chris: Panel notification area icons corrupted even with fix mentioned in comment #101.

Saurav

Andreas Heinlein (aheinlein) wrote :

@Omer: I did that, and it did not help. After next reboot, same corruption as before.

This bug is so bad, that I have to run this command each time, before I reboot:
sudo rm -R "/home/*/.gconf/apps/panel/" "/home/*/.gnome2/panel2.d/"

And of course, I still lose everything:
https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/575486

Changed in gnome-panel:
status: Unknown → New
Changed in gnome-panel (Ubuntu):
status: Triaged → Confirmed
Changed in gnome-panel (Ubuntu):
status: Confirmed → Triaged
omair (omair-hafiz) wrote :

I would like to add that the corruption in the panel has been partly resolved (atleast for the last five days) by locking the indicator applet and other applets to the panel (although it did not work for Andreas). I do not know if it was a case of doing it in a particular order because I was too frustrated while trying to fix it and just tried a bunch of different things!

The problem now is that in case I have a power management option that calls for displaying the battery icon only when charging etc then the space allocated for the battery icon in the panel is left blank and the icons are not readjusted so that they are properly spaced once again. I can confirm that the blank space is in between the Date and weather applet and the rest of the indicator icons leading me to suspect that it is a simple problem of the initial positioning of the icons when the panel comes up that is causing this.

rupert (r-plumridge) wrote :

I haven't had the issue either for the past week. Has a separate update fixed it?

ron (rs45009) wrote :
Download full text (3.7 KiB)

Thanks Rupert that is exactly what has been happening ----phantom
icons ------which in a fit of good house keeping I delete . I believe
that it was the sound icon that cloned itself ? When I delete the
extra I later find that it was something else . Everything has been
behaving itself for the last couple of weeks . Can't remember if the
icons have done their shuffle trick on restart lately .

On Tue, Jun 1, 2010 at 1:50 AM, rupert <email address hidden> wrote:
> I haven't had the issue either for the past week. Has a separate update
> fixed it?
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> I'm using karmic x86_64, updated as of 2009-09-30.
>
> It's very hard to describe the bug, so a screen shot is attached.
>
> As seen on the screen shot, after start up the notification area gets scrambled, it shows, in case of this screen shot, two volume control icons, one of them is the actual volume control icon, and the other one is just a copy of it, it just sits there, clicking on it doesn't do anything, and right clicking on it will bring the standard notification area sub-menu. Also missing here is a network manager icon.
>
> However:
> The phantom icon can be a clone of any other icon in the notification area. I've seen already phantoms of bluez icons, network manager icons and so on. And the missing icon,can also be any of the other icons, there is no rule or consistency :)
>
> Also, killing the application with a missing icon will remove the phantom icon, starting the application afterwards will show a correct functioning icon.
> In the case of this screen shot, the missing icon was of a nm-applet, so after I killed the nm-applet, one of the volume icons (the phantom one) disappeared,  I then started the nm-applet again, and the correct icon for it appeared and worked as intended.
>
> I haven't seen any related messages in the logs for this.
> If you need more information and/or some additional testing,I will be glad to do it.
>
> Thanks :)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Sep 30 17:31:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/gnome-panel
> NonfreeKernelModules: nvidia
> Package: gnome-panel 1:2.28.0-0ubuntu3
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: gnome-panel
> Uname: Linux 2.6.31-11-generic x86_64
> ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> EDIT (RodGer):
>  I'm adding the description from the report I've done for a similar problem on my system which is not a 64 bit system. I also marked my report as duplicate (bug #484547)
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Nov 18 01:04:57 2009
> DistroRelease: Ubuntu 9.10
> InstallationMedi...

Read more...

Roy Jamison (xteejx) wrote :

I also have this issue, it's very intermittent. To temporarily fix it, I deleted the overlapping icons and re-added them with the Indicator Applet being re-added.

YannUbuntu (yannubuntu) wrote :

Hi,
Sorry I have not read all the 120 messages, but one member of ubuntu-fr reported that for him the bug stopped since he desactivated the WIFI in the BIOS. (no bug any more in 40 reboots)
He thinks the bug is linked to the WIFI detection and the notification message display during boot.

Hope this helps :)

ron (rs45009) wrote :
Download full text (3.7 KiB)

Just had a cloned sound icon and no wireless icon --------------even
if I clicked the fake icon no wireless info came up . This was on Mint
running of a usb drive .

On Tue, Jun 1, 2010 at 2:21 PM, YannUbuntu <email address hidden> wrote:
> Hi,
> Sorry I have not read all the 120 messages, but one member of ubuntu-fr reported that for him the bug stopped since he desactivated the WIFI in the BIOS. (no bug any more in 40 reboots)
> He thinks the bug is linked to the WIFI detection and the notification message display during boot.
>
> Hope this helps :)
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel
>
> I'm using karmic x86_64, updated as of 2009-09-30.
>
> It's very hard to describe the bug, so a screen shot is attached.
>
> As seen on the screen shot, after start up the notification area gets scrambled, it shows, in case of this screen shot, two volume control icons, one of them is the actual volume control icon, and the other one is just a copy of it, it just sits there, clicking on it doesn't do anything, and right clicking on it will bring the standard notification area sub-menu. Also missing here is a network manager icon.
>
> However:
> The phantom icon can be a clone of any other icon in the notification area. I've seen already phantoms of bluez icons, network manager icons and so on. And the missing icon,can also be any of the other icons, there is no rule or consistency :)
>
> Also, killing the application with a missing icon will remove the phantom icon, starting the application afterwards will show a correct functioning icon.
> In the case of this screen shot, the missing icon was of a nm-applet, so after I killed the nm-applet, one of the volume icons (the phantom one) disappeared,  I then started the nm-applet again, and the correct icon for it appeared and worked as intended.
>
> I haven't seen any related messages in the logs for this.
> If you need more information and/or some additional testing,I will be glad to do it.
>
> Thanks :)
>
> ProblemType: Bug
> Architecture: amd64
> Date: Wed Sep 30 17:31:38 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/gnome-panel
> NonfreeKernelModules: nvidia
> Package: gnome-panel 1:2.28.0-0ubuntu3
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
> SourcePackage: gnome-panel
> Uname: Linux 2.6.31-11-generic x86_64
> ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> EDIT (RodGer):
>  I'm adding the description from the report I've done for a similar problem on my system which is not a 64 bit system. I also marked my report as duplicate (bug #484547)
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Nov 18 01:04:57 2009
> DistroRelease: Ubuntu 9.10
> Installati...

Read more...

Roy Jamison (xteejx) wrote :

Haven't seen any recurrence of the bug with the top Gnome panel, but the divider between the "Show Desktop" button and the running task windows seems to disappear now and again and turn white. Probably related to this bug if there is a gnome-panel redrawing error.
Note: I have compiz running on "Normal" settings and using nvidia-current drivers.

Christopher (soft-kristal) wrote :

For what it's worth, I run two partitions on my laptop; one stable and the other the latest alphas. The applets in the stable version of Lucid is normal while I'm experiencing the same issue on the one that began as Alpha 1.

I also have a desktop similarly set up with the same results.

Peter Belew (peterbe) wrote :

Christopher - I assume that you have updated the versions in both those partitions to date, so that in theory they should be the same (except for any customizations you may have made).

If so, it would be interesting to run apt-show-versions in each partition (you may have to install that program), saving the output of each in a file, then do a diff between the two files. That may show some differences between the packages in each partition.

Just a thought!

YannUbuntu (yannubuntu) wrote :

To continue my Comment #123, the French user reports (here: http://forum.ubuntu-fr.org/viewtopic.php?pid=3520937) that :
- Gnome has problem with its panel and its notification zone (indicator-applet) when the icons inside indicator-applet have to change their aspect (often network and battery).
-As soon as there is a change with the icons inside the indicator-applet, the bug happens at next boot.
- Unactivate wifi allowed him to solve the bug. But when he changed to wire network, the icon changes again, and the bug comes back.
- he thinks that the bug generally disappears when you extend the notification zone, and/or increase the width (>24 pixels) of the panel (he tested ~20 boots in different modes: connected, disconnected, battery, ...). The only problem of this workaround is that icons are not placed regularly...
- he thinks there is a random factor due to compiz (sometimes "Close/Maximize.>" buttons and shadow effects disappear)

Didier Roche (didrocks) wrote :

@YannUbuntu: can you please ask them to test the workaround pointed by Chris Coulson for a few days and report the result back: https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/439448/comments/101
Thanks for the add-on useful comments from ubuntu-fr forum :-)

I tried out the fix. I rebooted thirteen times with no issue. That's not to say that it's fixed, but I don't have time for any more reboots right now :). Would it be acceptable to test just by logging out and in multiple times?

Jack Leigh (leighman) wrote :

I've also had no problem since applying this work around, although admittedly have only logged in/rebooted a couple of times.

Rebooted 10 more times (thank god for fast boot times!) and I haven't had a problem.

description: updated
description: updated
Inox (inox) on 2010-06-04
description: updated
Roy Jamison (xteejx) on 2010-06-04
description: updated
Roy Jamison (xteejx) wrote :

This bug has been marked Triaged and has been assigned to the Ubuntu Desktop Team to work on. Inox is correct in that there should be enough information here, and we're pretty sure it's a gnome-panel issue. Upstream has been notified although it appears that it only affects Ubuntu at present.

All affected users: Please refrain from changing the description on the bug report, that is for BugSquad/BugControl/Original Reporter to do. You can edit your own duplicates as much as you like, we have access to them and the debugging information (if any) contained therein. If you must do something constructive, add yourself to the "Affects me" option at the top left of the bug report.
Thanks guys :)

Christopher (soft-kristal) wrote :

Peter Belew:

I ran apt-show-versions on both partitions and there a quite a few differences. It would be helpful to know what to look for, as I'm having the additional problem of being unable to upgrade the test partition to 10.10 using the update-manger -d approach.

Doing a clean install would solve my problems, but it wouldn't help the testing process.

ron (rs45009) wrote :

For what it is worth ----did a clean install of 10.10 last night and
have missing wifi icon this morning ( also have trouble with monitor
selection going to default ---same image for both monitors ).

On Fri, Jun 4, 2010 at 8:22 AM, Christopher <email address hidden> wrote:
> Peter Belew:
>
> I ran apt-show-versions on both partitions and there a quite a few
> differences. It would be helpful to know what to look for, as I'm having
> the additional problem of being unable to upgrade the test partition to
> 10.10 using the update-manger -d approach.
>
> Doing a clean install would solve my problems, but it wouldn't help the
> testing process.
>
> ** Attachment added: "apt-show-versions"
>   http://launchpadlibrarian.net/49668977/apt-show-versions
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: New
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in terrible mess. Some of them are overlapping others. Sometimes network manager icon is missing. Sometimes phantom icons show up. They can be clones of any other icons in the notification area. Bug affects any graphics card: ATI, nVidia, Intel...
>
> WAY TO FIX IT FOR THE CURRENT SESSION:
>
> When you get your icons distorted right-click on the affected panel (not icons) click "Properties". In "Panel Properties" change panel orientation to "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 2:
>
> Right click the Gnome panel and remove the offending applets and re-add them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many people get notified when you add anything to this bug report. Please don't confirm the bug it is already confirmed. Please don't attach further screenshots - we all know how the problem looks. We all appreciate your involvement, but read previous post carefully prior you post your own. We need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Okay, sad followup: Just started my computer and the bug happened. So that's two people that say it doesn't fix it :(.

urbandk (evans33) wrote :

Attempted work-around; did not fix the problem for me.

Badri (mrbnarayan) wrote :

I feel the problem is in the Notification Applet and Clock Applet. When I remove these applets from my panel the panel works normally.
I am running Ubuntu 10.04 upgraded from 8.04. Only on the upgrade machine I have problem. On my laptop I did a clean install and I don't get this problem.

Jack Leigh (leighman) wrote :

Yeh, just had some visual corruption here, after applying the workaround.
Generally seems to be better but not a total fix.

Roy Jamison (xteejx) wrote :

The workaround are only workarounds, there is no suggestion that they are permanent, but just a temporary fix until the next time it happens. Sorry if that wasn't made clear.

Saurav (sauravzone1) wrote :

Can people affected by this bug please try adding the following command to their Startup Applications (under System, Preferences) and reporting back after some days' observation?

pkill gnome-panel && gnome-panel

I have been using this and haven't had the problem in several days but I have my fingers crossed. Note: pkill can be replaced by kill and the output of pidof.

Saurav

Roy Jamison (xteejx) wrote :

That is not a good option and will conflict with gdm and could result in 2 overlapping gnome-panels. Saurav please give the reasons why you think this will work and a test case, because all you're effectively doing by running that is killing gnome-panel and restarting it on startup and not every user will know how to take it back to normal, assuming it works of course. Moving the panel and/or removing/reinstating icons seems to work temporarily for most users.

Roy Jamison (xteejx) wrote :

Upgrading bug importance to Medium. This bug has a moderate impact on a core application. 116 affected users, 60+ duplicates and 142 comments. Severity is low but affects a large number of Ubuntu users, and novices may be more heavily affected than more experienced users.

Changed in gnome-panel (Ubuntu):
importance: Low → Medium
Zbych (zbych) wrote :

Instead of pkill gnome-panel && gnome-panel as someone suggested I just do:

  killall gnome-panel

 in Startup Applications. (it was also suggested by someone previosuly)

The gnome-panel will restart by itself and this works fine - I just see all the time proper icons. I do not have anymore mess.

However I want to mention this is not sollution to this bug. It is just silly workaround as it seems that all icons works when the gnome-panel is restarted. Just often there is a mess with icons only at first initial starting of gnome-panel.

Zbych

omair (omair-hafiz) wrote :

I would like to add that ever since I have installed a different theme (the Dichotomy theme in the Ubuntu repositories) the corruption in the top panel is non-existent. I can confirm this since I reverted to the default ambiance theme many times only to find the corruption return to the panel on almost every boot. However, using the dichotomy theme seems to have eradicated the issue completely.

I already reported this long ago, that the problem doesn't happen with the Ubuntu dawn theme, only in the default theme. I've been using Ubuntu dawn & MAC icons (by the way very nice combination) for a month and I haven't seen this there since. Nevertheless, probably it has something in common with themes.

Saurav (sauravzone1) wrote :

@Teej: 1) It works for me. 2) It will not conflict with gdm because it runs after the user has logged in. 3) It will not result in extra panels (see point 6 below). 4) It has as yet always resulted in a panel that is "normal" and not yet in one that needs to be "taken back to normal." 5) The command can, of course, be replaced by killall gnome-panel or just pkill gnome-panel because the panel restarts automatically. I was experimenting with the && operator just to be on the safe side. 6) To test all of this, when you are logged in and the panels are all working correctly, open the terminal and try the commands pkill gnome-panel or killall gnome-panel, and gnome-panel & separately.

@Zbych: There does not seem to be any known "solution" to this problem yet, which is a pity. Every workaround is always "silly" from the point of view of correctness. That is why it is called a workaround.

Saurav

Alex (presoblu) wrote :

Just a note regarding affected users: I saw this bug of other 2 machines
(uncle and dad), but didn't subscribed them to the bug list in order to
prevent duplicates.

So, consider happenings like this in your affected users count.

On Fri, Jun 11, 2010 at 7:53 AM, Saurav <email address hidden> wrote:

> @Teej: 1) It works for me. 2) It will not conflict with gdm because it
> runs after the user has logged in. 3) It will not result in extra panels
> (see point 6 below). 4) It has as yet always resulted in a panel that is
> "normal" and not yet in one that needs to be "taken back to normal." 5)
> The command can, of course, be replaced by killall gnome-panel or just
> pkill gnome-panel because the panel restarts automatically. I was
> experimenting with the && operator just to be on the safe side. 6) To
> test all of this, when you are logged in and the panels are all working
> correctly, open the terminal and try the commands pkill gnome-panel or
> killall gnome-panel, and gnome-panel & separately.
>
> @Zbych: There does not seem to be any known "solution" to this problem
> yet, which is a pity. Every workaround is always "silly" from the point
> of view of correctness. That is why it is called a workaround.
>
> Saurav
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: New
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WAY TO FIX IT FOR THE CURRENT SESSION:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 2:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

markba (mark-baaijens) wrote :

In my situation, the sound icon has disappeared, whereas most people are complaining about doubling the sound icon. It is really quite odd, because the sound icon is part of the indicator-applet, and other indicators like network manager are (still) visible; that means that somewhere, the configuration of that particular applet has gone wrong.

Furthermore, the distance between the applets which have gained (by design) in 10.04, is back where is was before: now the applets are positioned right next to each other, just like it was in 9.10.

I've upgraded from 9.10 to 10.04 several weeks ago and right after the upgrade, everything is fine. The disappearance of the sound icon and the removal of the distance space happened simultaneously, from about last week.

Roy Jamison (xteejx) wrote :

Alex: If you know if they are duplicates, i.e. same problem, then please mark them as duplicates of this bug. Duplicates only email people once anyway and it consolidates it into this one report.

Alex (presoblu) wrote :

Sorry, had to blame my broken english: it's that they have the same problem
I'm experiencing, so I didn't add them to the bug reader list (I haven't
filed a bug for them).

If someone is still counting the persons affected by this bug, just add 2
names.

On Fri, Jun 11, 2010 at 11:19 AM, Teej <email address hidden> wrote:

> Alex: If you know if they are duplicates, i.e. same problem, then please
> mark them as duplicates of this bug. Duplicates only email people once
> anyway and it consolidates it into this one report.
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: New
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WAY TO FIX IT FOR THE CURRENT SESSION:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 2:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Roy Jamison (xteejx) wrote :

@Alex: I'm reading between the lines here and guessing they don't have Launchpad accounts. If they have, mark them as duplicates of this. If not, then it's no problem. Thank you.

rupert (r-plumridge) wrote :

Further to my earlier comment this issue has returned on occasion, so it isn't fixed for me, however, it is happening less, say once a week and only with the Date applet.

@Teej I think all Alex was saying was that he has seen this bug on two others machines, one owned by his Dad and one owned by his Uncle. As Alex had already reported the issue, he thought there was no point his Dad and Uncle also reporting the same issue. I guess, however, that technically, he should sign them up for accounts so they can report the issue. Since a bug with one person reporting it might seem not that important, but with three people reporting it seems more important.

Oh, and great you bumped this up to Medium.

A.K.Karthikeyan (mindaslab) wrote :

I experienced this bug yesterday, on my desktop running Ub 10.04

On Fri, Jun 11, 2010 at 4:17 PM, rupert <email address hidden> wrote:

> Further to my earlier comment this issue has returned on occasion, so it
> isn't fixed for me, however, it is happening less, say once a week and
> only with the Date applet.
>
> @Teej I think all Alex was saying was that he has seen this bug on two
> others machines, one owned by his Dad and one owned by his Uncle. As
> Alex had already reported the issue, he thought there was no point his
> Dad and Uncle also reporting the same issue. I guess, however, that
> technically, he should sign them up for accounts so they can report the
> issue. Since a bug with one person reporting it might seem not that
> important, but with three people reporting it seems more important.
>
> Oh, and great you bumped this up to Medium.
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Nothing is constant

Regards

A.K.Karthikeyan

rupert (r-plumridge) wrote :

Had a different type of corruption today, not seen this one before, so I am posting it as it appears not to be duplication of previous screenshots from other people. This time it affects the wireless notification icon.

Märt Suga (mart-suga) wrote :

I am not sure if anything has been updated lately but the rate of the bug appearance has definitely gone up for me. Now it appears almost every time I boot.

I had also a different kind of corruption the last time, but different than you. Check that out... This bug is slowly changing to another bug :)

It was the network applet. A little part of it was still visible and working and the corrupted part was broken!

slayer (antoniochiaravalloti) wrote :

This bug affects me as well on a Ubuntu 10.04 LTS 64 bit edition.
Tried to change theme, but it doesn't seem to work.
Adding a screenshot...

David Tombs (dgtombs) wrote :

I'm pretty sure this is occurs compiz-only. I never saw it before I switched to compiz (1.5 months), now I've seen it multiple times. The only two people who have reported this with metacity I think made mistakes--Dave's screenshot looks like a different bug and Tom's has telltale compiz shadow around the menu.

Also, this doesn't seem upstream as I can't find any reports of other distros having the problem. I think it's Ubuntu-specific. :-/

No, I saw it in Linux Mint too. I think it's a Gnome issue.

Peter Belew (peterbe) wrote :

There seems to be some confusion in the comments between the Indicator Applet 0.3.7 and the Notification Area 2.30.0, both of which appear in my panels, showing different applets. Is this problem occurring in both container applets, or just one?

No, it's Ubuntu specific so far. Linux Mint is heavily based on Ubuntu,
which is probably the reason why both are affected, so it is still a
problem in Ubuntu only. Any useful information should be forwarded to
the GNOME bug report, there's not much else that can be done here we
have all the info.

Actually yeah, you are right, Mint is based on Ubuntu. This conversation contains already too much info, I think. So just to conclude it:

1. it only happens at startup
2. if u reload the panel, everything gets OK
3. the corrupted icon greyed out and is not working, but if you still see a little bit of it, you can click on that part
4. as far as I know, only the notification area or the Indicator applet session button are affected

Possible solution: compare the differences between the way how is the panel loaded at startup ←→ and how is the panel loaded back after killing it

or

compare all that with the way how it works in other gnome distros

That is up to the developers, the users can't contribute any more.

Chris Coulson (chrisccoulson) wrote :

On Sat, 2010-06-19 at 04:33 +0000, Peter Belew wrote:
> There seems to be some confusion in the comments between the Indicator
> Applet 0.3.7 and the Notification Area 2.30.0, both of which appear in
> my panels, showing different applets. Is this problem occurring in both
> container applets, or just one?
>
As I've already said, it happens in pretty much every applet on the
panel, including the indicator, notification area, clock, show-desktop
button and even the separators.

See http://people.canonical.com/~chrisccoulson/Selection_001.png and
http://people.canonical.com/~chrisccoulson/Selection_002.png for
examples

David Tombs (dgtombs) wrote :

Teej: with all due respect, I'm not sure if upstream is appropriate for this since all indications seem to point to it being Ubuntu-specific. I'm really not sure about the "Triaged" state of this bug since we don't have steps to reproduce the problem.

I'm attaching a screencast of me playing with the panel under compiz, then under metacity. They have slightly different (and interesting) behavior.

David Tombs (dgtombs) wrote :

And under metacity (reproduced by switching from compiz to metacity in same session).

In comment #111, zsolt mentions that the corruption doesn't happen with the Ubuntu Dawn theme. So far, I've had the corruption in Lucid with the Ambiance theme, and in Karmic with the Dust Theme w/ panel background image. Could this bug be related to the use of a panel background that's not a solid color? I'm not sure what type of panel background is used by the Ubuntu Dawn theme, but it might be worth looking into.

timosha (timosha) wrote :

Same here. I installed Linux Mint 9 on my test machine. Mint 9 is using the Shiki-Wise theme and after many reboots I did not see the corruption.

Having the same problem! Its bugs like this that make users go back to windows. Please fix this as soon as possible!

Christian, I use solid panel background colour, which is semi-transparent. However, what I mentioned in comment #111 is not true any more, I've seen the corruption already twice since then... Moreover, I've even seen another type of corruption, described in my comment #157, so using my theme is, sadly, not a solution.

Just to test it, for 1 week I was using the default theme and our problem didn't appear there, I only saw it recently again. So it looks like it has nothing in common with themes.

However, a little helpful detail:
Using semi-transparent panel background excludes the main type of corruption for me, when the affected icon is a doubled one of a neighbouring icon. I've only seen the one when the icon is covered by a solid colour or the other one for which there's a screenshot in #157.

jalvan (joseph-alvan) wrote :

the bug appear randomly from time to time after startup with no reason
when removing and after that adding again the notifaction area it appears correctly
but the bug returns on next reboot
attached screenshot
ubuntu 10.04
gnome 2.30.0

Sebastien Bacher (seb128) wrote :

comment #73 is from an user getting the issue with debian as well, not sue it's ubuntu specific

sacha@ubuntu (sacha-b77) wrote :

Hello!

I'm sorry for my bad english!

I have tested a lot of combinations of reboots on my laptop. With rj45 and ac adaptater connected and without them.

When an action changes the size of the notification zone by adding icon applet (for example by opening rythmbox) and that i reboot in desktop mode (with rj45 and ac adpatator), i've no bug. Idem when i reboot in laptop mode (without rj45 and ac adaptator).

When a change occured in notification zone (rythmbox launched for example), and that i reboot in laptop mode (without rj45 and ac adaptator), the bug appears each time in laptop mode! No bug when i reboot in desktop mode.

When i turn off compiz and i turn on metactiy, i have no bug at all!

Are you sure that a compiz bug is invalid?

I think that gnome cannot resize the panel or icons applets change with compiz activated.

It's strange that i have no bug with metacity if compiz is "innocent".

I'm thinking wrong?

rupert (r-plumridge) wrote :

Adding some further information and this is related to sacha's post.

As mentioned before, I have seen this bug a lot (though less so recently) on my Lucid laptop after upgrading it from Karmic > Lucid RC > Lucid. That laptop has an nvidea graphics card and is running the Normal Visual Effects setting (hence is using Compiz?).

I also have a desktop server that was running Hardy and I upgraded it to Lucid. I haven't seen this bug ever on the server when running Lucid. It has some awful builtin graphics chip and consequently has None selected in the Visual Effects setting on Appearance Preferences (hence isn't using Compiz?).

The only issue with the server I have noticed is that the Sound Icon never appears (i.e. no way to control the volume other than starting Sound Preferences - I am using an Creative XiFi Extreme PCI Sound Card as there was no onboard sound - I guess this is why there is no icon).

So, conclusions that can be drawn from this:

- either Compiz is at fault, since the installation that doesn't use it isn't experiencing the issue.
- or the Sound Icon is somehow at fault, since the installation that for whatever reason doesn't show it isn't experiencing the issue.

Maybe it can be a Compiz bug, because when I want to halt computer, a
message appears saying "Compiz, Tangerine, aren't responding, Do you want
to Shutdown anyway?"

Joaquin (jknvv13) wrote :

It can be, but at the start, I have ubuntu 10.04 with Compiz, and this
doesn't happens, it happens when I updated Compiz!

And...

If I update to Compiz 0.9?????

sacha@ubuntu (sacha-b77) wrote :

A member of ubuntu-fr community have another problem with this bug.

He uses compiz "normal effect" and default theme "Ambiance" on laptop too.

He tried to test with metacity.

When he turns off compiz, no difference. When he reactivates compiz, the two panels disapear both.

There's a link between compiz and panels for this bug?

For my laptop, i've no problem with metacity since this morning and after 42 reboots test. With compiz, 2 reboots and... bug with de laptop on battery.

On my desktop, without changes of the appearences of applets icons and without resizing area aplets, I have no bug at all with compiz. If i change appearence of network applet by switch off my router (for example, icon becomes wifi!), no problems at reboot. On my laptop, bug...

There's also a link between this bug and laptop mode (energy saver, battery icon applet, etc.) ?

I think it's significant!

sacha@ubuntu (sacha-b77) wrote :

The same user had rebooted his laptop with metacity. With compiz, the bug was often (each 20 boots) on the aera applets (right corner high) and also with the desktop icon on the bottom panel at left (icon corrupted).

With metacity, no bug appears on the top and on the bottom!

He shall stay with this configuration for tests.

What do you think about that?

Ted Gould (ted) wrote :

Marking as invalid for indicator-applet, not because indicator-applet isn't hurt by this, but because it doesn't look like a change is required in indicator-applet directly more in the panel itself.

Changed in indicator-applet:
status: New → Invalid
Märt Suga (mart-suga) wrote :

I noticed one more thing.

* Drag some launcher button near the panel.
* Now activate the bluetooth applet or the speaker applet.
* You see that the last moved launcher will get the "active" orange outline (see the screenshot) and closing it will deactivate the outline.

I think this indicates that there is a mess-up with the object id-s.

sacha@ubuntu (sacha-b77) wrote :

Hello!

Another information about the bug :

I've played with Openarena game in full screen mode (resolution 1024*758) and, at next boot, the date applet has moved out the applet zone, before the separation applet. If i reboot, the bug with icons corrupted comes back and i must replace the applets myself in the right order. In compiz and also in metacity.

A link wiyh the 3D full screen mode and the resizing of gnome-panel?

rlamana (rlamana) on 2010-06-30
Changed in gnome-panel (Ubuntu):
status: Triaged → Confirmed
Changed in gnome-panel (Ubuntu):
status: Confirmed → Triaged

Please leave the Status alone guys, it should be Triaged as set by Bug
Control or BugSquad. If you want to learn how to Triage or for more
information about the status/importance/workflow please see the Ubuntu
wiki https://wiki.ubuntu.com/Bugs/HowToTriage Thank you.

Manuel Bua (manuel-bua) wrote :

I'm affected by this bug too, not only the notification area is a mess, but also all my 4 panels and applets go crazy until i issue a "sudo killall gnome-panel".
In the attached screenshot you can see what my sensors applet looks like before killing the processes: sometimes it get heavily messed up, this time i've been lucky.

Danté (dante-ashton) wrote :

Also suffering the same problem here on multiple machines. My Ubuntu netbook (running the netbook edition, of course) has not had this problem.

Kupfer (tamas-kadas) wrote :

I'm having this problem since I'm using Ubuntu (Jaunty), I had it with Karmic and now with Lucid. Sometimes, when I log in, the gnome panel is all messed up. In Lucid the affected areas are the Notification Area and the Indicator Applet Session. My only solution to this problem for a long time was to log out and log back in again. This procedure gets on your nerves quickly.

But in Lucid I finally find the culprit in my case: the NetworkManager Applet (nm-applet).

I removed everything - except the Window List - from the bottom panel, then I removed the Notification Area from the top panel and placed it on the bottom panel in the right corner. As a result of not having the Notification Area (and with it the NetworkManager Applet) on the top panel anymore, my Indicator Applet Session isn't corrupted anymore, no matter how many times I log in.

The only icon I have in the Notification Area now is that of the NetworkManager Applet. Even if the nm-applet icon is corrupted when I log in (which happens often), the corruption doesn't affect the Window List and icons placed in the Notification Area after startup (for example the vlc icon when I start the program).

So bottom line: I have basically quarantined my Notification Area (and with it the NetworkManager Applet) in the lower right corner of desktop.

This is an adequate solution, but still I would really like to see this bug finally fixed, since it's affecting me for a long time.

Claude Gagné (miltiad) wrote :

Got the same problem on multiple machines too on Lucid 32 bits.

Manuel Bua (manuel-bua) wrote :

Just to give you some more info, my current setup is an ubuntu64-10.04@Intel i7 and i must admit this release is unbelievably faster than any other previous version of Ubuntu: after trying out the livecd i just got my /home/ folder backed up from the previous installation (ubuntu64-9.04) and restored it on a brand new lucid installation: everything is fine, everything works as expected (although the audio stack has other problems on its own..) but this gdm/gnome-panel/gnome-applets problem i'm sure i never had it before in Jaunty, and i was using the very same nvidia-proprietary drivers' version as i'm using now, so this is pretty odd.

@Kupfer: my NetworkManager applet has never thrown a problem, hell, NM and radiotray icons are just those unaffected by the problem.

I also noticed my gnome applets problem not always presents itself whenever the machine can't load gdm: sometimes the problem persists across multiple "sudo killall gnome-panel" killage too, so that i can issue as much as 18 of them and still i get those sensors corrupted. I usually also win a reboot here, because panels are definitely phucked for the entire session and gdm will not restart, hanging there in the middle with the other seven console hanged as well.

For Manuel Bua: Does Intel turbo boost work correctly out-of-the-box on your i7 processor? have u tried benchmarks? Sorry, I know this is not a blog, but u left no contact on u on launchpad. It's better to ask a user than google. could u reply with an e-mail? Thanks.

Manuel, u could try to reinstall the panel in Synaptic and all other affected packages too. In my case, killing the panel always works.

And by the way, why all of u use "sudo" in the beginning? it's far enough to type "killall gnome-panel" in the "run application" dialogue. Second, I'm pretty sure this has nothing in common with Nvidia drivers, I have an Intel GMA graphics (so no proprietary Nvidia drivers installed) and I'm still affected by the issue.

Actually I haven't had this problem for a very long time (2-3 weeks at least). I keep updating frequently.

Kupfer (tamas-kadas) wrote :

Damn, today I logged in and my Indicator Applet Session was corrupted again. So my attempts to solve the issue were worthless. I replaced the IAS with a Log Out and a Shut Down applet.

n0elsanidad (noelonline) wrote :

I have this problem too. It happens all the time and everyday. What I do is just remove the indicator applet session then add it again.

I have re loaded 10.04 a few times (for various reasons) and in the
past two months ? and have only had one extra sound icon . Problem
seems to have vanished . I am still running all the same things
(compiz etc.) as before .
Ron

On Wed, Jul 7, 2010 at 10:46 PM, n0elsanidad <email address hidden> wrote:
> I have this problem too. It happens all the time and everyday. What I do
> is just remove the indicator applet session then add it again.
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: Invalid
> Status in “gnome-panel” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in terrible mess. Some of them are overlapping others. Sometimes network manager icon is missing. Sometimes phantom icons show up. They can be clones of any other icons in the notification area. Bug affects any graphics card: ATI, nVidia, Intel...
>
> WAY TO FIX IT FOR THE CURRENT SESSION:
>
> When you get your icons distorted right-click on the affected panel (not icons) click "Properties". In "Panel Properties" change panel orientation to "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 2:
>
> Right click the Gnome panel and remove the offending applets and re-add them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many people get notified when you add anything to this bug report. Please don't confirm the bug it is already confirmed. Please don't attach further screenshots - we all know how the problem looks. We all appreciate your involvement, but read previous post carefully prior you post your own. We need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

  yes,
vanished for me too.
M.A.

Il 09/07/2010 18:17, ron ha scritto:
> I have re loaded 10.04 a few times (for various reasons) and in the
> past two months ? and have only had one extra sound icon . Problem
> seems to have vanished . I am still running all the same things
> (compiz etc.) as before .
> Ron
>
> On Wed, Jul 7, 2010 at 10:46 PM, n0elsanidad<email address hidden> wrote:
>> I have this problem too. It happens all the time and everyday. What I do
>> is just remove the indicator applet session then add it again.
>>
>> --
>> visual corruption affecting several panel applets
>> https://bugs.launchpad.net/bugs/439448
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in Compiz: Invalid
>> Status in Desktop panel for GNOME: New
>> Status in Indicator Applet: Invalid
>> Status in “gnome-panel” package in Ubuntu: Triaged
>>
>> Bug description:
>> Binary package hint: gnome-panel, nm-applet, etc...
>>
>> SUMMARY:
>>
>> After graphical logon notification area gets scrambled. Icons are in terrible mess. Some of them are overlapping others. Sometimes network manager icon is missing. Sometimes phantom icons show up. They can be clones of any other icons in the notification area. Bug affects any graphics card: ATI, nVidia, Intel...
>>
>> WAY TO FIX IT FOR THE CURRENT SESSION:
>>
>> When you get your icons distorted right-click on the affected panel (not icons) click "Properties". In "Panel Properties" change panel orientation to "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are displayed properly, but one (nm-applet) is missing.
>>
>> WORKAROUND 2:
>>
>> Right click the Gnome panel and remove the offending applets and re-add them, i.e. Indicator Applet, etc.
>>
>> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>>
>> Please take a look at the list of duplicate bugs. Please think on how many people get notified when you add anything to this bug report. Please don't confirm the bug it is already confirmed. Please don't attach further screenshots - we all know how the problem looks. We all appreciate your involvement, but read previous post carefully prior you post your own. We need to draw constructive conclusions and find the solution.
>>
>>
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>>

Manuel Bua (manuel-bua) wrote :

It seems the latest updates did something regarding this problem since i've still to notice the usual mess in my applets: hopefully this problem is gone ;)

Massimiliano Lanzi (m-lanzi) wrote :

Some problem here. I have Ubuntu 10.04, Compiz and ATI Technologies Inc RV380.

Jack Leigh (leighman) wrote :

It's been recurring lately for me after a while without it =D

slayer (antoniochiaravalloti) wrote :

me too... recurred just now after a while :(

> Date: Fri, 9 Jul 2010 19:30:39 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 439448] Re: visual corruption affecting several panel applets
>
> It's been recurring lately for me after a while without it =D
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of the bug.

_________________________________________________________________
Importa i tuoi contatti di Facebook. Chiacchiera su Messenger!
http://www.windowslive.it/importaAmici.aspx

Mahendra Tallur (mahen) wrote :

I think we should stop adding a comment each time this issue starts / stop occuring : the problem with this particular issue is indeed that no-one seems to have figured out how to reproduce it reliably. It happens, then stops for a few days / weeks then happens again.

What is obvious is that the scope of this bug is very wide, does affect most people one day, and is extremely annoying for "joe users" that won't have the idea to do a "killall gnome-panel" or "shutdown -h" etc.

What we urgently need is to establish a reliable protocol to pinpoint this issue, as soon as possible... This is most concerning something that seems to be very superficial isn't fixed several months about the LTS release. (I don't want to blame anyone, though, I'm aware many devs do code in their spare time)

Manuel Bua (manuel-bua) wrote :

I'm sorry for you Mahendra, but if you are bothered by these meaningful and useful bug reports you shouldn't read them at all, and maybe unsubscribe from the bug: we all know it happens then stop and then happens again, but reporting anomalies and behaviors is just the minimum we, users, can do to let developers pinpoint the "whys" and the "hows" of the problem; also, you are saying the problem "happens, stops and happens again" but i wonder how you could be able to say that if we really stopped to report it each time it starts and stops. I think in these cases collecting a lot of data and experiences *is* a lot more productive than anything else and i feel this also happens to be the protocol being used right now on Launchpad..

---

I'm now posting another screenshot depicting the particular type of corruption some of you may have already seen: this happened as soon as i restarted the gdm service due to this other bug at https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/532436

slayer (antoniochiaravalloti) wrote :

Maybe I am starting to figure out something...
I've got a dual monitor configuration (not xinerama) and, since i installed the second monitor, this bug we're talking about always happened on the left one (the principal).
Interestingly the icons on top right are not the same: wireless is present only in the left monitor, the email and the audio icon only on the right.
more interestingly some of the icons are duplicated, as the shutdown button and the "session indicator" button.

1) Most of the times I encounter this bug the shutdown button disappears and the session indicator appears duplicated.

2) Most of the times the shut down button is not disappeared, the session indicator one appears corrupted.

3) In this precise moment my right screen icons are regular; on my right (principal) screen all the icons are on their place but the "session indicator". It is duplicated, visible and working on the right screen, not visible yet working on the left one.

Concluding, I firmly believe the problem of the visual corruption relies in the session indicator applet (which may explain why previous ubuntu versions are not affected by this bug)
it may sound complicated, so I am adding a couple of screenshots...

slayer (antoniochiaravalloti) wrote :

Errata corrige (sorry i am tired):

1) Most of the times I encounter this bug the shutdown button disappears and the session indicator appears duplicated on the left / principal screen.

2) Most of the times the shut down button is not disappeared, the session indicatoron the left / principal screen appears corrupted.

3) In this precise moment my right screen icons are regular; on my left (principal) screen all the icons are on their place, except the "session indicator". It is duplicated, visible and working on the right / secondary screen, not visible yet working on the left / principal one.

Concluding, I firmly believe the problem of the visual corruption relies in the session indicator applet (which may explain why previous ubuntu versions are not affected by this bug)
it may sound complicated, so I am adding a couple of screenshots...

David Tombs (dgtombs) wrote :

slayer: As has been said many times before, the bug is not with indicator applet. I often get the bug in the clock, and other have had problems with nm-applet and others. Which leads me to...

Manuel: Thank you for trying to help, but Mahendra was correct. This bug's comments are out of control, and no developer has the time to read 200 comments, especially when most of the commends contain redundant or incorrect information. Thus, more comments may actually /hinder/ the fixing of this bug.

So, to reiterate what Mahendra said, please be very conservative when posting comments. Realize that this bug may appear to be fixed, but you might just be lucky. Please make a good effort to look through previous comments before posting new information. Thank you all for your desire to help Ubuntu.

Manuel Bua (manuel-bua) wrote :

David: i comprehend the fact we have 200 comments, but i'm not sure being conservative would produce any advantage in its resolution. Also, this isn't the first time i see bug reports being closed due to inactivity or simply because it was quiet enough to think people eventually solved their problem.. just hoping for the better of course..
I can also comprehend the large amount of information going on here, it could be redundant and tedious as well, but it is my personal opinion that this is a lot better than no information or missing feedback at all, it just has to be better organized; i would prefer to have 10 or even 100 people reporting the same thing than none or just one.
It all boils down to the way you are accustomed at your work and i, obviously, respect others ideas: so, once again, let's just hope for the better.

João Pinto (joaopinto) wrote :

Manuel,
I am going to add an extra irrelevant comment because I really believe the comments for this bug turned into a hardly useful posting of random experiences.
Please do not bring bug managements problems that you may have experienced on other bugs to this one. This bug clearly affects a lot of people, there is a proper function to report, which is "Affects me".
Redundant and poor information is worse than no information, because it leads people to consume significant time reading the comments, without any comments they can use that time to troublehsoot and post useful info.

This is not an issue of different ideas, this is really a matter of understanding if your post will provide any value to the bug analysis. All of us we are affected would like to participate on the bug resolution, that does not mean we have the ability to do so.

Thanks

Manuel Bua (manuel-bua) wrote :

Sorry guys, i realized now i completely misread David's post: obviously Mahendra was right, i even told him yesterday by private mail ;)
Time for vacation i think.. :D

I might have found a reliable workaround: Delaying the loading of the gnome-panel.

I've been running this for two days now (and have restarted over 20 times in addition for testing) and I haven't seen the problem any more. Granted, this bug is really a pisser-offer that I can see hiding temporarily, but after every boot up of that day giving me corruption it had completely stopped since I have done the following:

I created a tiny .sh script, placed in it my home folder, marked as executable, and then edited /usr/share/applications/gnome-panel.desktop so that exec=bash /home/<user>/script.sh

In the script, I have simply put:
---
#! /bin/bash

sleep 3 && gnome-panel &

exit
---
(I couldn't get this to work in the gnome-panel.desktop files so I just made it execute the script)
This seems to have worked fine for me. I tried this out because I was getting tired of every single boot up having corruption. I've been very happy with the results. I dearly hope this could be of any use as this is probably the number one ARGH bug since ye olde window corruption bug from nvidia 177 drivers ;)

I think it should be noted that my computer hasn't had internet since May so I am pretty far out of date.

Has anybody tried the RGBA partial GTK+ window transparency?

After 2 days of testing I think it works fine, but, on the other hand, makes the problem discussed here even worse. Recently I'm facing this problem very rarely, however, with RGBA transparency enabled, at nearly every boot I saw some visual corruption (usually the brightness applet). After disabling RGBA everything is fine again!

I felt it's important to point this out, as Ubuntu 10.10 (if I'm not mistaken...) should come with RGBA support prepacked!

FYI, my comment in post #205 still holds. It's been over a week and the problem is completely and utterly gone for me. Has anyone else tried this workaround (or found a better way to perform it)? delaying the panels for merely three seconds (three being arbitrary; I never tried two or even one) has fixed it for me, and I see no difference in my startup.

Mal (mal-gamble) wrote :

I added the 3 second delay to 2 machines and they have not seen the problem for about a week - until this morning. I now have the time entry corrupted on one of these machines. See attached screen shot.

Cesare Mastroianni (cece) wrote :

I tried the 3 seconds delay and it works for me. Moreover, the 3 seconds delay "fixes" for me another bug, which was bug #575410 about clock applet.

Ciao
CM

sektor (sektor-1) wrote :

I have deleted the bottom gnome panel. There is only one panel now. This one resides at the top and is keeping the notification applet. I don't see this issue since multiple weeks now while other systems (freshly installed) still have this issue. Hope that helps.

sektor (sektor-1) wrote :

I forgot to mention that all affected systems have two active panels (top and bottom; default). Nearly all of them are using the standard setup. Only one user has moved the date and time applet to the bottom panel and has added the 'eyes' applet to the bottom panel This user is facing the issue more often than other users.

I don't know that the number of panels has anything to do with this bug. I still get the bug even though I only have one panel on the bottom.

I was asking myself why I haven't experienced the bug since almost 2 months ago. Now, reading sektor's comment I realized that I have deleted the bottom panel as well, to save space. *Not once* has the bug appeared since then.

Michael Nagel (nailor) wrote :

I removed the lower panel and I am still having trouble with this bug. I doubt that the number of panels is connected to the cause of the bug, because both people with one and people with two panels experience the bug.
I think it is possible that the number of panels has some influence on internal timings. And because delaying the creation of the panels seems to change a lot (according to some comments above) I think there might be some timing issue / race condition.

Danté (dante-ashton) wrote :

I have one panel (with Docky). Considering the recent slew of updates to GNOME panel, I only experience corruption once/twice a month. I almost always experience it the first three times I boot up a newly installed Ubuntu box.

My other computer has the same setup, and visual corruption does not affect it, but the applets seem to move around a lot.

This has always happened on both machines if I leave it with the default top and bottom panels.

Oh yeah, for the bug in your other computer see Bug #44082. I really thought it's solved now...

I hitted this one with a guy I installed Lucid for, and I got good results restarting the NetworkManager service. The icon is there, it only doesn't display anything. The NetworkManager service restart forces the icon to update itself.

Maybe you are loading the NetworkManager service too early...

Omer Akram (om26er) wrote :

I was able to reproduce this bug *if* I use a background image for my desktop of like 2-5mb I cant reproduce this bug if using default wallpapers. can anyone else please confirm?

bzsolt (bodaonline) wrote :

I have it with default bg.

On 8/25/10, Omer Akram <email address hidden> wrote:
> I was able to reproduce this bug *if* I use a background image for my
> desktop of like 2-5mb I cant reproduce this bug if using default
> wallpapers. can anyone else please confirm?
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: Invalid
> Status in “gnome-panel” package in Ubuntu: Triaged
> Status in “gnome-panel” source package in Lucid: New
> Status in “gnome-panel” source package in Maverick: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WAY TO FIX IT FOR THE CURRENT SESSION:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 2:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Daniel Cordeiro (dcordeiro) wrote :

I have it with a "solid color" background.

Mahendra Tallur (mahen) wrote :

I think no one mentioned it yet : this issue still occurs in Maverick (Beta).

sacha@ubuntu (sacha-b77) wrote :

Hello,

Since the panels are locked completely with Ubuntu tweak or in gconf editor, the bug comes back with a network manager applet half broken and the display for the virtuals desktops appears blank in the left corner of the bottom panel, just before the trash applet (just one of two milimeters visible and the rest is blank).

If i desactivate the lock of panels, that's works with no problem. This problem appears only with compiz and no with metacity.

Strange, no?

Mal (mal-gamble) wrote :

To All,

As an experiment, I have adjusted the positions of the panel applets to leave some space between them and then added separators. After a few days, I have not seen any visual corruption. However, as this is an intermittent problem, I can't be sure that these changes have actually made any difference.

If anyone else would like to try this, it might be useful to see if this could be an easy work-around.

Mal.

Great idea, Mal.

I'd love to try it out myself but it looks like it's no longer affecting me. I've reverted my workaround for kicks after all this time and I get basically no corruption anymore. Nor do I really have access to a machine that has corruption regularly enough - They all happen (painfully for testing) too sparingly for me.

Stuart Bishop (stub) wrote :

I see this sort of effect regularly on boot. The reliable work around for me is to log out and log in again. All the startup applications are in cache and the race conditions are not triggered. It seems it happens when the panel is a little slower than normal loading, and startup applications and applets are making use of its resources before it is fully initialized - the slower your disks and the more startup applications you have the more likely you are to see the problem.

Hi all and in front the developer. Same bug here - but that is not the whole reason why I am writing. I saw that you have put the bug under importance medium, first of all - in my opinion the user interface should work, you get crazy always clicking on the wrong icon, or waiting for the popups to arrive. Second - your solution for a workaround is not acceptable - that I found out myself - but not practicable. I try to convince all my customer and friends to jump over to ubuntu - well it is hard in this moment. I understand that secutrity goes first, but in this case, it is more than annoing to work.I am a professional softwaredeveloper and web-designer, so I need this to go smothly. And please do not tell me, I should place all apps on one (default) panel - no room for that, I asure you. I am using wine, VM, a lot of IDE's and editors, and always to go in the main menu - well - at least that Win did better. and I hate win - since 1985 (at that time I worked with Unix V too). so please - you nice people from ubuntu - I love your philosophy, that is why I choosed ubuntu among all the other distris - do something about it. X11 with Gnome would be perfect for me, and it was until the last update.

I can't not quite follow the the previous writer, quoting:

"the slower your disks and the more startup applications you have the more likely you are to see the problem."
I have a quad-pro and a pretty fast HD - still the problem turns of every time I start (and that is annoing, because I have to start anew 10 times aday - testing apps with win, wine and VM).

To the writer "Mal" - it also seems to me as possible temporary solution, but still I am not quite satisfied - too many apps, and for that I would need a 4.th panel.

Thanks and regards,
Dag Jarle Johansen

Me again - the norwegian grumbler. I would have liked to test what "Mal" told me - and - ok my educational background tells me not to swear. I can not move the icons. if I switch between languages - it always remains on default. (and I need 4 languages). so please again - do something about it.

still with regards and greatings,
Dag-jarle Johansen

Changed in gnome-panel:
importance: Unknown → Medium
whoop (tiredandnumb) wrote :

Is the screenshot I attached (the clock is not drawing correctly not showing the time, showing the left side of the clock twice) the same bug?

JayK (jakres) wrote :

I was regularly but not always affected by this bug and tried Mal's workaround from comment #223, adding separators around the session applet. Well, I have not experienced the problem for several weeks now. It also works with the session applet being in the right corner and just adding one separator to the left... Once I tried removing the separators again (still leaving space around the applet) but right on the first login after the next boot, the corruption reappeared, i. e. basically the problem is not solved, but this workaround seems to work.

whoop: I personally believe it is the same bug.

JayK (jakres) wrote :

Damn, that's nasty: having reported the separators workaround to be reliable just two days ago, today, the bug appeared again. I didn't change anything on the panel, the separator is still there. Sorry guys.

Mahendra Tallur (mahen) wrote :

I mentioned upstream that I did manage to reproduce the issue when using only one panel with **no single piece of Canonical applet** (& obviously with Compiz enabled) -- only standard Gnome stuff. So, what else can differ from a regular Gnome setup on another distro ? I tried to switch to Clearlooks. No issue so far after forcing many reboots, but I wouldn't draw any conclusion too soon...

BTW, Ambiance & Radiance rely on the Murrine GTK engine. Could it be at fault ?

[I just have a single panel with (from left to right) the gnome Menu, icons, the task-bar, system monitor, virtual desktops, the standard notifications applet and the time applet.]

Anyway : did anyone manage to trigger it with the standard Clearlooks theme ?

The Gnome devs are pretty helpless about this issue... As some of us said above, I think maybe the bug priority should be raised. Because otherwise I think it's gonna stay for another 6 months, which is pretty annoying for average users :-)

Thanks again to everyone reading this !

I'm switching to Clearlooks theme and stay with it for at least one week. If nothing happens, I'll test another murrine theme.

This bug seems not to affect Clearlooks since I've using it for months in three different computers and no visual corruption appeared since then.

Great to know! So I'll test another Murrine based theme to see if it happens
to.

Regards!
--
Rodrigo

http://www.rodrigocarvalho.blog.br

On Mon, Sep 27, 2010 at 07:33, Alberto Salvia Novella <<email address hidden>
> wrote:

> This bug seems not to affect Clearlooks since I've using it for months
> in three different computers and no visual corruption appeared since
> then.
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (606894).
>

Back when I used to use Karmic, I switched to the Dust theme and then began experiencing this bug with the corrupted icons. I'm not sure if it was because of the theme engine used in the Dust theme, or because of my setting of a background image on the panel (/usr/share/themes/Dust/panel-background.png).

Ambiance uses a panel background image, but Clearlooks does not. So, I will be running my laptop with the Clearlooks theme combined with Ambiance's panel background image (/usr/share/themes/Ambiance/gtk-2.0/panel_bg.png) and see what happens.

Unfortunately, changing Ambiance's panel to use a solid color at 100% opacity doesn't seem to work--there are still elements of the background image present behind the menus and icons. Otherwise, this would seem like a logical test to try.

I'll post back with the results.

Just to clarify, when I used the Dust theme back in the day, I had to manually set the background image on the panel--the theme doesn't use it by default. To do this, right-click on the panel -> Properties -> select the Background tab, etc.

OK. There is another variable: background image. Now I'm testing another
Murrine theme: Wasp-Murrine. It doesn't have background image. It would be
great that someone could test Clearlooks theme with some background image. I
not a maintainer or anything, I'm just suggesting... I just want this bug to
go away!

Best regards!
--
Rodrigo

http://www.rodrigocarvalho.blog.br

On Mon, Sep 27, 2010 at 11:56, S. Christian Collins <
<email address hidden>> wrote:

> Just to clarify, when I used the Dust theme back in the day, I had to
> manually set the background image on the panel--the theme doesn't use it
> by default. To do this, right-click on the panel -> Properties ->
> select the Background tab, etc.
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (606894).
>

lizardmenke (lizardmenke) wrote :

I noticed that as long as I use the standard theme and I see to it that the background image has the same resolution as the screen has, the bug does not occur.

I asked other brazilian users and one of them have the problem with the following theme without any background image:

http://ubuntu-art.org/content/show.php/Simply+Basic?content=126587

Does anyone knows if this theme is Murrine powered? How can I know this?

Regards!

Mahendra Tallur (mahen) wrote :

Rodrigo : yes, this theme is also Murrine powered (I can read "engine "murrine"" in the gtkrc file).

Thank you, Mahendra!

Guys, so can we say that the problem is with Murrine + Compiz?

One more thing to try, just to weed out variables:

1) Edit /usr/share/themes/Ambiance/gtk-2.0/gtkrc

2) Find the following line:
 bg_pixmap[NORMAL] = "panel_bg.png"
and change it to:
# bg_pixmap[NORMAL] = "panel_bg.png"

This will disable the background image on the panel. Post back here with results.

Okay, I can confirm that this bug is NOT caused by the panel background image. A few reboots after disabling the Ambiance theme's panel background, I got the corruption again.

Now, I have yet to get the corruption using Lucid's version of the Dust theme, even though it also uses the Murrine engine. So, here are three configs on my laptop and their results:

1) Lucid with Ambiance theme: corruption
2) Karmic with Dust theme: corruption
3) Lucid with Dust theme: no corruption (after a few days of use w/ frequent rebooting... I will keep testing)

Both Ambiance and Dust use the Murrine theme engine. If the Lucid version of the Dust theme can be verified to not have the corruption glitch, then we might be able to get some clues as to what exactly in the Murrine engine is causing this glitch.

Update:

3) Lucid with Dust theme: No corruption after several days of usage and lots of reboots. Dust uses Murrine, but doesn't seem to suffer from the corruption issue, at least with the version included with Lucid. The version in Karmic would cause corruption for me when I used to use that version of Ubuntu. It might be possible to narrow down the cause of the bug by examining the differences between the two versions of Dust, and also the differences between Lucid's Dust and Ambiance themes.

Saul Lima Santos (saul-lima) wrote :

For me too. After 4 days using Dust theme, I can't see corruption.

I've been using Wasp-Murrine for some days and couldn't see corruption
either.
--
Rodrigo

http://www.rodrigocarvalho.blog.br

On Thu, Sep 30, 2010 at 20:22, Saul Lima Santos <email address hidden> wrote:

> For me too. After 4 days using Dust theme, I can't see corruption.
>
> --
> visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (606894).
>

michal.gregor (michal.gregor) wrote :

For what it's worth - I've tried the following:

clearlooks - no corruption,
clearlooks with radiance icons (Ubuntu-Mono-Light) - triggers the bug,
radiance with clearlooks theme icons (GNOME) - triggers the bug.

Dave Gilbert (ubuntu-treblig) wrote :

Confirmed I've just seen this on a fresh install of Maverick-rc with todays updates (2nd October 2010)

futurefx (force) wrote :

Same here dialogs stay sometimes "burned in" like on screenshot

futurefx (force) wrote :

I cannot edit post but i forgot to add that i have 10.10 RC with updates and Intel 965GM chip.

peterzay (peterzay) wrote :

I just got this bug this morning for the first time on my non-admin 10.04 account I use regularly. The network manager applet 0.8 icon (up/down arrows) had the right (down) arrow completely corrupted.

I switched to the admin user and the applet was not displayed at all. I did a system update but no reboot.

I switched back to the non-admin user and the corruption in the down (right) arrow changed. Still corrupt but changed.

Hope this helps the team working on this.

summary: - visual corruption affecting several panel applets
+ Visual corruption affecting several panel applets
Fabián Rodríguez (magicfab) wrote :

The following has been added to the Maverick release notes:
 * Several panel applets may be displayed twice or overlap (Bug:439448)

Changed in ubuntu-release-notes:
status: New → In Progress
Martin Zeltin (queeeeenz) wrote :

An easy workaround is to run "killall gnome-panel" and it will restart and everything will be in it's place..
Hope to see a fix soon.

Krishna (krishnab) wrote :

Hi thanks..

Killing Gnome panel is really an easy work around...

On Wed, Oct 13, 2010 at 8:30 PM, Martin Zeltin <email address hidden> wrote:

> An easy workaround is to run "killall gnome-panel" and it will restart and
> everything will be in it's place..
> Hope to see a fix soon.
>
> --
> Visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (624570).
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: Invalid
> Status in Ubuntu Release Notes: In Progress
> Status in “gnome-panel” package in Ubuntu: Triaged
> Status in “gnome-panel” source package in Lucid: New
> Status in “gnome-panel” source package in Maverick: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WAY TO FIX IT FOR THE CURRENT SESSION:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 2:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

--
Regards,
)< r i $ h n @

description: updated

Does anyone have any clues about what is the bugged component? We thought it
was Murrine but some people are using other Murrine themes and aren't
experiencing the bug anymore (me included). Another diference is that the
theme I'm using (Wasp-Murrine) doesn't have any backgournd image. Do you
think this might be the problem? Does corruption happens with a non-Murrine
theme with background image?

In conclusion, what are the possibilities?

1 - Compiz + background image
2 - Compiz + Murrine + background image
3 - Another possibility?

Regards!

What I find quite interesting is that when an icon is corrupt (for
example, my wireless network icon is half-obscured by half of the CPU
temperature icon shape), and the icon is subsequently modified (e.g., I
disable and re-enable wireless network causing the icon to animate), the
only part of the icon redrawn is that part NOT obscured by the incorrect
half of the CPU temp. icon. In other words, only the currently correct
bit of the icon is redrawn and the bad bit is always bad.
Even when I totally remove the CPU temperature from the panel, the
wireless icon is STILL corrupted with half the temperature icon.
This is pretty strange. I find it hard to think of a programming
scenario which would allow this. It's almost like the buffer for the
icons is the right size, but the animate/draw code somehow thinks the
width of the icons is smaller than it actually is. So when the icon
buffers are blitted to the panel, they're the correct size, but we
always get whatever is in the icon bitmap buffer. And since the icon
only ever draws to a smaller width than it actually is, we always have
the corrupt bit. That's my guess, anyway.
So I'd be looking for some corruption of the icon width, not some sort
of incorrect overdraw of the icon. My guess is that what's overdrawn is
actually what was previously in the icon buffer before the width got
corrupted. Just a guess.

On Thu, 2010-10-14 at 11:07 +0000, Rodrigo Carvalho Silva wrote:
> Does anyone have any clues about what is the bugged component? We thought it
> was Murrine but some people are using other Murrine themes and aren't
> experiencing the bug anymore (me included). Another diference is that the
> theme I'm using (Wasp-Murrine) doesn't have any backgournd image. Do you
> think this might be the problem? Does corruption happens with a non-Murrine
> theme with background image?
>
> In conclusion, what are the possibilities?
>
> 1 - Compiz + background image
> 2 - Compiz + Murrine + background image
> 3 - Another possibility?
>
> Regards!
>

Rodrigo, I believe that the background image can be ruled out as a culprit. See comment #244.

Wim Cools (wim-cools) wrote :

As a workaround I change the size of the panel. Standard I use 35 pixels. When I resize the panel pixel by pixel than the icons are dynamically resized and suddenly they are placed correctly on the panel. Right click on an empty space in the panel. Choose properties and click on the size arrows. Strange enough I have a HD monitor with enough space to place the icons but I suffer from this bug. By the ways is there anyone who uses the default size ?

You're right, Christian. My mistake... Then, what are the possibilities now?

why there is no heat flames?

After months of not experiencing this problem, yesterday (at the top-right of my panel), my shutdown icon was missing. I had to hit control-alt-delete to shutdown. After reboot, everything was ok. I thought it might be worth reporting.

Btw, in Ubuntu 7.04, you could shutdown by going through the "System" menu. In 10.04, you can't do this. I believe we should bring that option back in the system menu. That way, when the panel is corrupted, a user can intuitively shut down without having to know the ctrl-alt-delete shortcut for shutting down.

Lonnie: if you remove the shutdown applet from the panel, then the shut down option will appear in the System menu.

whoop (tiredandnumb) wrote :

S. Christian Collins: it won't appear if the shut-down applet is not there due to this visual corruption bug...
I've had this several times: no shut-down applet, no shut-down menu item.

Id2ndR (id2ndr) wrote :

I can confirm that the shutdown applet can disappear (the username appears twice overlapping). It's confusing at this time when a normal user asks you how he can shutdown the computer (it's real life).

Christopher (soft-kristal) wrote :

Lonnie, you can add an additional shutdown/reboot/suspend/hibernate icon by right clicking a panel. I've kept one in the same panel as the trash for years, as my wife had some trouble with the usual one when used in the car (passenger seat (-:).

slayer (antoniochiaravalloti) wrote :

That's ok, I can understand proposing a normal user to use Ubuntu if he can't get his printer to work, but how can I tell a normal user to use Ubuntu if he cannot shutdown his computer?
However, I am not affected by this bug anymore, even if I can't tell you why... anyone wondered if changing the icons in the toolbar was the way to reproduce the bug?

Hey guys, are you using GIMP?

This may be a shot in the dark, but two days ago, I retouched photos in GIMP for about 3 hours, then shut down. The next morning, my icons on the top panel were badly scrambled. Usually, only my "Show Desktop" icon is affected (the right third is overlapped by the neighbouring graphic).

I moved the panel to the left and back to the top, and since then, it's been fixed (except "Show Desktop"). I haven't used GIMP since, though, either.

slayer (antoniochiaravalloti) wrote :

Interestingly, I forgot to say, I didn't experience this bug since i decided to show seconds in the clock...

> Date: Sat, 16 Oct 2010 13:36:36 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 439448] Re: Visual corruption affecting several panel applets
>
> Hey guys, are you using GIMP?
>
> This may be a shot in the dark, but two days ago, I retouched photos in
> GIMP for about 3 hours, then shut down. The next morning, my icons on
> the top panel were badly scrambled. Usually, only my "Show Desktop" icon
> is affected (the right third is overlapped by the neighbouring graphic).
>
> I moved the panel to the left and back to the top, and since then, it's
> been fixed (except "Show Desktop"). I haven't used GIMP since, though,
> either.
>
> --
> Visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of the bug.

Here we go. I used GIMP again this morning, and two reboots later, my icons were (a bit) scrambled again. More notably, my wallpaper was dislocated - it was slightly moved to the right and to the bottom, leaving black/corrupted areas above and to the left. That's new.

If it helps, in conjunction with GIMP, I also use Eye of Gnome. I cycle through my pictures with it and if I want to retouch one, I open it in GIMP from Eye of Gnome.

Kyle Clarke (kyleclarke) wrote :

This is purely speculation, but judging from my own experiences, and from reading these comments. I have no programing abilities what so ever. Just an End User who wants this system to take off as soon as possible.

Doing anything to alter the startup time, like mounting multiple drives. having many more, or many less programs in your startup or installing large updates tends to cause this corruption.

Sometimes I have a near 100% success rate of causing this bug if I mount 2 or more drives (automatically) at bootup.

Based on the comment about GIMP, could this be a memory issue?

Roy Jamison (xteejx) wrote :

Based on comments on the upstream bug, and the previous comment here, it
is really is beginning to look like a race condition.
This could happen if the gnome-panel is "completely" drawn before it
should be, i.e. things are still being loaded in which may be causing
the corruption.

Is there a chance that we can have something in a ppa to test this and
add something to the code like WAIT=10 seconds or something along those
lines?

A "perfect fix" would be to have the panel completely redrawn on update
instead of just the icons (if that happens).

Just a thought...

MaxNegro (maxnegro) wrote :

Another workaround is to change the current theme (via system/preferences/appearance) to another one. Once done, the panel get drawn correctly and you can switch back to the old one. This approach has the advantage that it can be used also where the panel is locked down (as in UNE edition).

As a side note, if you have to switch off in a hurry and are not able to use any of the workarounds proposed here, I think it is safe to hit the power button: it should be linked via acpi messages to the shutdown dialog.

Kalle Tuulos (kalle-tuulos) wrote :

Even when the theme has been changed to another one and the panel is
once corrected, items may still disappear from the panel. For example,
the "shutdown" item disappears quite often from my panel after I have
used the computer for a while.

Swiching themes does not help in my case. The other workarounds in the description do.

peterzay (peterzay) wrote :

For a non-admin user, the following workaround does NOT work. It merely redraws the visual corruption.

WORKAROUND 1:

Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The panels will automatically respawn correctly.

David Tombs (dgtombs) wrote :

peterzay: you must have a different bug. This has worked 100% of the
time for me and others.

On 10/17/2010 06:01 PM, peterzay wrote:
> For a non-admin user, the following workaround does NOT work. It merely
> redraws the visual corruption.
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>

peterzay (peterzay) wrote :

David Tombs: My panel icons are rearranged. The following workaround fixed the problem:

WORKAROUND 3:

Right click the Gnome panel and remove the offending applets and re-add them, i.e. Indicator Applet, etc.

Why do you think this is another bug? My user id has all permissions checked except administration.

Paul Tatner (ptatner) wrote :

As just a regular user I have found that if I add a second shut-down applet to the panel, they don't disappear anymore. Although my internet and trash applets will sometimes only show half of the icon, they still work.

Alex (presoblu) wrote :

Never used GIMP, and have experienced this bug many many times.

For me, the better workaround is to use this:
http://www.google.com/search?client=ubuntu&channel=fs&q=omgubuntu+panel&ie=utf-8&oe=utf-8

On Mon, Oct 18, 2010 at 7:37 PM, Paul Tatner <email address hidden>wrote:

> As just a regular user I have found that if I add a second shut-down
> applet to the panel, they don't disappear anymore. Although my internet
> and trash applets will sometimes only show half of the icon, they still
> work.
>
> --
> Visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (544084).
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: Invalid
> Status in Release Notes for Ubuntu: In Progress
> Status in “gnome-panel” package in Ubuntu: Triaged
> Status in “gnome-panel” source package in Lucid: New
> Status in “gnome-panel” source package in Maverick: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

trusktr (jp-bettafootwear) wrote :

I have this problem too. It seems to be a general bug with compiz/gome-panel, not distro specific.

I have a quick fix. When it happens, right click the panel, click properties, then change the "size" by one pixel, then change it back after it refreshes. A fix would be nice though.

Here's screenshots of my panel to verify that it's the same glitch:
http://bettafootwear.com/~/images/linux/compiz_panel_glitch.1.png
http://bettafootwear.com/~/images/linux/compiz_panel_glitch.2.png

slayer (antoniochiaravalloti) wrote :

I keep saying the problem relies in the session indicator 0.4.6 panel.
I got tow monitors, on the left one there are all the panels, in the right one the session indicator one, the mail one and the volume one.
I had removed the session indicator panel (i don't use it) in jaunty jackalope, and i didn't experience the bug anymore.
Upgrading to Maverick Meerkat restored this panel and... guess what? this panel is scrambled.
Beware, only this panel is scrambled on the only monitor it is placed (the right one).
As a result I can't shutdown by the shutdown button on the right monitor (though I can use the left one).

Let's see... by now I'm gonna remove this session indicator panel.

This problem has reappeared since I upgraded to Ubuntu 10.10. It could also be that I now hide the top panel until I hover the mouse over it. Previously I had the panel always visible.

This problem now happens 90% of the time and I am unable to access my shutdown icon as it is too far off to the right of the screen. Right clicking the panel and changing the orientation and then changing back fixes the issue until the next reboot.

Christopher (soft-kristal) wrote :

I have this and a tendency for the panel to become KDE based after resuming. My comment has more to do with the this bug only happening in one of my partitions; both of which are running Maverick.

On my original partition; starting from Hardy and upgraded to each version since I have panel problems from time to time, but also can do things, that I can't on the other Maverick partition; which began as a Karmic Alpha and has been running Alphas and the like since.

My point is that it may be something that has been latent in previous kernels and re-appears since.

I would be interested in comments from those who started with Lucid, rather than previous versions.

Christopher:
I just did a fresh install of Maverick on a separate partition of my laptop. The first login showed the panel without errors. Then I installed the recent upgrades (which should have been installed by the installation procedure already. Somehow they weren't, but that's another bug...) and activated the nvidia graphics driver as suggested by the system. After the reboot I had a corrupted panel again, as I am used to.

So, I can confirm this bug has nothing todo with upgrading :-(

Julian Kalinowski (julakali) wrote :

I installed ubuntu on 4 different machines, 2 notebooks, 2 desktops.
2 are affected by this bug (Both Maverick, one upgraded, one freshly installed), 2 are not.
The affected machines have (Intel) Dual Core CPUs, the non-affected have (AMD) Single Cores.
Maybe it's about slow vs. fast/multi-core systems?

Well, I just bought a dual-core laptop with intel i915 graphics - Haven't seen the corruption in the slightest hint since I installed Maverick (it's been about four days). It does have only a 5400 RPM HDD, though, so perhaps the slightly slower boot makes it benefit?

Dunno. I'm afraid this bug will probably not get resolved because of the recent decision to use Unity as the default environment.

Joaquin (jknvv13) wrote :

I don't know why to use Unity!
Unity is for netbooks!
I don't want a Mac clone, I want a Ubuntu with a clean GNOME 3.0!
:S
If its finally like it, I would install gnome shell 3.0 and use it!
or test first unity...

Jacopo Moronato (jmoronat) wrote :

Well, Unity for Desktop will not be like Unity in Netbook Edition...

Joaquin (jknvv13) wrote :

I know, but... It's a ui for a netbook, on a desktop it will be a mac clon,
with dock an appmenu
El 26/10/2010 02:21, "Jacopo Moronato" <email address hidden> escribió:
> Well, Unity for Desktop will not be like Unity in Netbook Edition...
>
> --
> Visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: Invalid
> Status in Release Notes for Ubuntu: In Progress
> Status in “gnome-panel” package in Ubuntu: Triaged
> Status in “gnome-panel” source package in Lucid: New
> Status in “gnome-panel” source package in Maverick: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
terrible mess. Some of them are overlapping others. Sometimes network
manager icon is missing. Sometimes phantom icons show up. They can be clones
of any other icons in the notification area. Bug affects any graphics card:
ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
icons) click "Properties". In "Panel Properties" change panel orientation to
"Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many
people get notified when you add anything to this bug report. Please don't
confirm the bug it is already confirmed. Please don't attach further
screenshots - we all know how the problem looks. We all appreciate your
involvement, but read previous post carefully prior you post your own. We
need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe

Kalle Tuulos (kalle-tuulos) wrote :

Not 100% related to this error, but I tried Unity as a workaround
solution in my desktop computer. Unity worked even worse than Gnome so
it really can't be relied on.

On Tue, Oct 26, 2010 at 2:53 AM, Joaquin <email address hidden> wrote:
> I don't know why to use Unity!
> Unity is for netbooks!
> I don't want a Mac clone, I want a Ubuntu with a clean GNOME 3.0!
> :S
> If its finally like it, I would install gnome shell 3.0 and use it!
> or test first unity...
>
> --
> Visual corruption affecting several panel applets
> https://bugs.launchpad.net/bugs/439448
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (656723).
>
> Status in Compiz: Invalid
> Status in Desktop panel for GNOME: New
> Status in Indicator Applet: Invalid
> Status in Release Notes for Ubuntu: In Progress
> Status in “gnome-panel” package in Ubuntu: Triaged
> Status in “gnome-panel” source package in Lucid: New
> Status in “gnome-panel” source package in Maverick: Triaged
>
> Bug description:
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in terrible mess. Some of them are overlapping others. Sometimes network manager icon is missing. Sometimes phantom icons show up. They can be clones of any other icons in the notification area. Bug affects any graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not icons) click "Properties". In "Panel Properties" change panel orientation to "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add them, i.e. Indicator Applet, etc.
>
> PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT:
>
> Please take a look at the list of duplicate bugs. Please think on how many people get notified when you add anything to this bug report. Please don't confirm the bug it is already confirmed. Please don't attach further screenshots - we all know how the problem looks. We all appreciate your involvement, but read previous post carefully prior you post your own. We need to draw constructive conclusions and find the solution.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

--
    - Kalle

Joaquin (jknvv13) wrote :

The best of Unity Desktop
is that compiz will be te window manager
and not mutter
that is buggy

Aproximately every 10-15 startup sessions the indicator-applet-session 0.4.6 appears duplicated.

I use ubuntu 10.10, but this problem also existed in ubuntu 10.04.

I'm running ubuntu in a Lenovo T400s.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: indicator-applet 0.4.6-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic-pae 2.6.35.4
Uname: Linux 2.6.35-22-generic-pae i686
Architecture: i386
Date: Mon Nov 1 07:04:24 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
ProcEnviron:
LANG=es_CR.utf8
SHELL=/bin/bash
SourcePackage: indicator-applet

Rui Leal (ralleal) wrote :

I have the same problema, and had it before in 10.04.

Ubuntu 10.10 64bit
Samsung R730 laptop with NVIDIA GeForce 310M graphics card

Joaquin (jknvv13) wrote :

I installed ubuntu on a lenovo g550 and this happened when I set my location on the time applet for the weather

This bug affected me too. I did the steps from berk's solution here: https://bugs.launchpad.net/ubuntu/+source/network-manager-applet/+bug/482684/comments/13
Now thw problem is solved.

Id2ndR (id2ndr) wrote :

I've got a workaround easier to use: $ kill -HUP `pidof gnome-panel`

Timo Aaltonen (tjaalton) on 2010-11-16
Changed in gnome-panel (Ubuntu Lucid):
importance: Undecided → High
michal.gregor (michal.gregor) wrote :

For the record - I am currently testing compiz 0.9.2.1 from ppa:nilarimogard/test3 and it seems that this version of compiz no longer triggers the issue...

A.K.Karthikeyan (mindaslab) wrote :

Ah! right now on Wed Nov 17 16:06:58 UTC 2010, I am been hit by this bug :-(
, am unable to see date and time. I am able to get time by typinng date in
my terminal :-(

description: updated
braseb (braseb37) on 2010-11-22
Changed in gnome-panel (Ubuntu Lucid):
status: New → Confirmed
Kupfer (tamas-kadas) wrote :

I'm using Ubuntu Maverick desktop edition on an ASUS EeePC and lately the Network Manager and Blueman Bluetooth Manager icons disappear mid-session!

sacha@ubuntu (sacha-b77) wrote :

Hello!

Is this bug present in Natty alpha 1 with Unity?

Anyone can test it?

Thank's!

Joaquin (jknvv13) wrote :

No, in unity there's no gnome-panel
It uses another panel on the unity extension for Compiz 0.9

Enviado desde HTC Mail

----- Reply message -----
De: "sacha@ubuntu" <email address hidden>
Fecha: lun., dic. 13, 2010 15:05
Asunto: [Bug 439448] Re: Visual corruption affecting several panel applets
Para: <email address hidden>

Hello!

Is this bug present in Natty alpha 1 with Unity?

Anyone can test it?

Thank's!

--
You received this bug notification because you are a direct subscriber
of a duplicate bug (598065).
https://bugs.launchpad.net/bugs/439448

Title:
  Visual corruption affecting several panel applets

Status in Compiz:
  Invalid
Status in Desktop panel for GNOME:
  New
Status in Indicator Applet:
  Invalid
Status in Release Notes for Ubuntu:
  In Progress
Status in “gnome-panel” package in Ubuntu:
  Triaged
Status in “gnome-panel” source package in Lucid:
  Confirmed
Status in “gnome-panel” source package in Maverick:
  Triaged
Status in “gnome-panel” source package in Natty:
  Triaged

Bug description:
  **********PLEASE READ BEFORE YOU ADD YOUR COMMENT/SCREENSHOT*****************

Please take a look at the list of duplicate bugs. Please think on how many people get notified when you add anything to this bug report. Please don't confirm the bug it is already confirmed. Please don't attach further screenshots - we all know how the problem looks. We all appreciate your involvement, but read previous post carefully prior you post your own. We need to draw constructive conclusions and find the solution.

Binary package hint: gnome-panel, nm-applet, etc...

SUMMARY:

After graphical logon notification area gets scrambled. Icons are in terrible mess. Some of them are overlapping others. Sometimes network manager icon is missing. Sometimes phantom icons show up. They can be clones of any other icons in the notification area. Bug affects any graphics card: ATI, nVidia, Intel...

WORKAROUND 1:

Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The panels will automatically respawn correctly.

WORKAROUND 2:

When you get your icons distorted right-click on the affected panel (not icons) click "Properties". In "Panel Properties" change panel orientation to "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are displayed properly, but one (nm-applet) is missing.

WORKAROUND 3:

Right click the Gnome panel and remove the offending applets and re-add them, i.e. Indicator Applet, etc.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/compiz/+bug/439448/+subscribe

This bug only affects me and immediately only if Compiz has been enabled.

For the Love of God, please fix this bug.

Previously, I haven't had the audacity to complain about something that is 100%.

But this bug makes me so made, I'm starting to act like FOOL!

At this point, the only thing I have to add to this bug report is this:
http://www.youtube.com/watch?v=HjVeazhEug0

corrections : 100% Free and mad not made

(why can't I edit my comments?)

Joaquin (jknvv13) wrote :

Ehhhhh????? No entiendo nada
El 17/12/2010 01:26, "Lonnie" <email address hidden> escribió:
> corrections : 100% Free and mad not made
>
> (why can't I edit my comments?)
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
people get notified when you add anything to this bug report. Please don't
confirm the bug it is already confirmed. Please don't attach further
screenshots - we all know how the problem looks. We all appreciate your
involvement, but read previous post carefully prior you post your own. We
need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
terrible mess. Some of them are overlapping others. Sometimes network
manager icon is missing. Sometimes phantom icons show up. They can be clones
of any other icons in the notification area. Bug affects any graphics card:
ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
icons) click "Properties". In "Panel Properties" change panel orientation to
"Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe

Mahendra Tallur (mahen) wrote :

Lonnie : I agree... In July I kind of said "please guys, let's stop complaining / commenting if no new relevant piece of information is added..." But... This bug has been here for so long it's getting ridiculous (no offense to anyone involved, but this report was created in sept 2009 and almost everyone gets this bug).

It occurs almost every day on my setup and I saw it occur on every setup I installed Ubuntu. (provided Compiz was enabled)

I'm definitely not the kind to complain at all, but this is making me lose faith in the development process :) It seems the GNOME devs don't use Ubuntu so don't reproduce it and don't care (as it seems related to the Human / Murrine GTK Engine) / or are too busy with GNOME shell / or the Ubuntu devs are too busy with UNITY and think "anyway in 11.04 the old UI will be ditched".

But well, the bug will still be in the LTS for one more year (!). And many people will prefer to keep the old Gnome panels interface.

Well I don't know what to say. Should we set up a bounty ? Or a petition ? I get phone calls of my friends telling me they cannot shut down the computer or access the applets... Gees !

Joaquin (jknvv13) wrote :
Download full text (3.4 KiB)

TOMA!
xD

2010/12/17 Mahendra Tallur <email address hidden>

> Lonnie : I agree... In July I kind of said "please guys, let's stop
> complaining / commenting if no new relevant piece of information is
> added..." But... This bug has been here for so long it's getting
> ridiculous (no offense to anyone involved, but this report was created
> in sept 2009 and almost everyone gets this bug).
>
> It occurs almost every day on my setup and I saw it occur on every setup
> I installed Ubuntu. (provided Compiz was enabled)
>
> I'm definitely not the kind to complain at all, but this is making me
> lose faith in the development process :) It seems the GNOME devs don't
> use Ubuntu so don't reproduce it and don't care (as it seems related to
> the Human / Murrine GTK Engine) / or are too busy with GNOME shell / or
> the Ubuntu devs are too busy with UNITY and think "anyway in 11.04 the
> old UI will be ditched".
>
> But well, the bug will still be in the LTS for one more year (!). And
> many people will prefer to keep the old Gnome panels interface.
>
> Well I don't know what to say. Should we set up a bounty ? Or a petition
> ? I get phone calls of my friends telling me they cannot shut down the
> computer or access the applets... Gees !
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my ...

Read more...

I have to say this bug happens to me with any theme, bug only if Compiz has been enabled.
Have you thought this bug is probable related with typographies resolution?

Joaquin (jknvv13) wrote :

Maybe... I have my font DPI at 72...
It will change anything?

2010/12/17 Alberto Salvia Novella <email address hidden>

> I have to say this bug happens to me with any theme, bug only if Compiz has
> been enabled.
> Have you thought this bug is probable related with typographies resolution?
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Manuel Bua (manuel-bua) wrote :

I have configured mine at 96dpi and for some reason i don't experience this bug anymore: i don't know if this is related in any way, but it's well worth trying it out.

Mahendra Tallur (mahen) wrote :

Joaquin : TOMA ? Googled it, didn't find :)

All : hmm, I'm not sure this is relevant but this seems interesting. Usually I only keep a top panel and corruption appears in the indicators area and disappears with a "killall gnome-panel". I recently started my /home from scratch and kept everything as conservative & "out of the box" as possible.

I noticed that : corruption appears here more frequently in the bottom panel ("show desktop" applet) (and once in a while in the top panel near the canonical indicators). So this seems unrelated to the indicators. More importantly, when calling "killall gnome-panel" corruption doesn't disappear systematically. It actually makes it happen about 50% of the cases !

In other word : starting from an "out of the box"' Ubuntu install with Compiz, corruption may be triggered when calling a couple of times "killall gnome-panel" and can thus be reproduced very easily. Also, it is thus 1) not related to the indicators 2) not related to the GNOME startup itself as it can be reproduced afterwards

We may add 3) seems to be related to themes that use the Murrine GTK engine ? 4) is definitely triggered when Compiz is enabled.

I'm making assumptions and definitely didn't re-read the hundreds of comments of this bugreport. Do you think guys we could/should set up a wiki page or a poll or another statistical tool to have a better consciousness / visibility of the different factors at play ?

(also : noone interested by a bounty ?)

Mahendra Tallur (mahen) wrote :

Sorry for polluting this thread even more but : some core GNOME developers do read the upstream bugreport here : https://bugzilla.gnome.org/show_bug.cgi?id=596923

Can we agree on a set of facts that we could forward to them ? For instance, V. Untz is aware that the bug is not triggered by the indicators as corruption can happen even if all of them are removed. Also, he seems to take seriously the fact that it would be related to the Murrine GTK engine.

Mahendra Tallur (mahen) wrote :

One more thing that I find interesting :

- earlier I said I could trigger some corruption in the bottom panel, near the "show desktop applet", by invoking "killall gnome-panel" a couple of times : this is true
- HOWEVER, I moved the applets and put them back EXACTLY the way they were before and noticed the corruption didn't happen anymore when calling "killall gnome-panel".
- I thought "wtf ?" so I started a guest session. The panel looks exactly the same. And now, calling "killall gnome-panel" does indeed trigger the very same corruption in more than 50% of the cases.

But what can be the differences between 2 bottom panels that contain exactly the same applets at the same location, one of which does trigger the bug easily...

Joaquin (jknvv13) wrote :
Download full text (3.8 KiB)

TOMA is Spanish, ;)

2010/12/17 Mahendra Tallur <email address hidden>

> Joaquin : TOMA ? Googled it, didn't find :)
>
> All : hmm, I'm not sure this is relevant but this seems interesting.
> Usually I only keep a top panel and corruption appears in the indicators
> area and disappears with a "killall gnome-panel". I recently started my
> /home from scratch and kept everything as conservative & "out of the
> box" as possible.
>
> I noticed that : corruption appears here more frequently in the bottom
> panel ("show desktop" applet) (and once in a while in the top panel near
> the canonical indicators). So this seems unrelated to the indicators.
> More importantly, when calling "killall gnome-panel" corruption doesn't
> disappear systematically. It actually makes it happen about 50% of the
> cases !
>
> In other word : starting from an "out of the box"' Ubuntu install with
> Compiz, corruption may be triggered when calling a couple of times
> "killall gnome-panel" and can thus be reproduced very easily. Also, it
> is thus 1) not related to the indicators 2) not related to the GNOME
> startup itself as it can be reproduced afterwards
>
> We may add 3) seems to be related to themes that use the Murrine GTK
> engine ? 4) is definitely triggered when Compiz is enabled.
>
> I'm making assumptions and definitely didn't re-read the hundreds of
> comments of this bugreport. Do you think guys we could/should set up a
> wiki page or a poll or another statistical tool to have a better
> consciousness / visibility of the different factors at play ?
>
> (also : noone interested by a bounty ?)
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1...

Read more...

And "dejad de hacer el faba" is spanish too.

Please, check if that bug is related with typographies resolution; since this resolution affects more things than typographies itself; and if this bug isn't indeed multiple; because I'm able to reproduce it by doing different things, with some little differences.

YannUbuntu (yannubuntu) wrote :

Mahendra Tallur wrote : "corruption appears here more frequently in the bottom panel ("show desktop" applet) (and once in a while in the top panel near the canonical indicators)."

I have the same feeling. I use out-of-the-box panels since Lucid, and when I get this bug it is 80% concerning the "show desktop", and the rest concerns the top-right panels.

Joaquin (jknvv13) wrote :

What is "faba"?
I'm spanish, but I don't know that word! :S
I'm galician too, and I know that "faba" in spanish is "judia"
2010/12/18 Alberto Salvia Novella <email address hidden>

> And "dejad de hacer el faba" is spanish too.
>
> Please, check if that bug is related with typographies resolution; since
> this resolution affects more things than typographies itself; and if
> this bug isn't indeed multiple; because I'm able to reproduce it by
> doing different things, with some little differences.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Please stop spamming. This place is meant for reporting new information useful to solve this bug.

Joaquin (jknvv13) wrote :

Yeah, I know it, but the bug isn't fixable
And ubuntu 11.04 doesn't include gnome-panel
Uses Gnome-Shell or Unity
And... for no gpu accelerated interfaces?
the classic gnome-panel, but everyone knows that this is problem of compiz
And if you can't have unity or gnome-shell there's no Compiz!
:D

2010/12/18 Andrea De Pasquale <email address hidden>

> Please stop spamming. This place is meant for reporting new information
> useful to solve this bug.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Mahendra Tallur (mahen) wrote :

Joaquin : this is a serious upstream bug that will continue to affect other distros that don't use Gnome Shell, that will continue to affect users who want to keep the old interface, and that will continue to affect users of the LTS.

I really don't see why it wouldn't be fixable ? Now it even seems we have some ways to reproduce it almost each time. Well, if anyone can confirm that, when invoking "killall gnome-panel" from the "guest account" (or unmodified out of the box configuration), it corrupts the "show desktop icon" practically each time. Can people check that ?

Now I'll shut up until I really have some actual new pieces of information :)

Joaquin (jknvv13) wrote :
Download full text (3.1 KiB)

Oh!!
Sh*t!
I forgotten the other distros
Other distros may use Compiz + Gnome-panel
Distros like LinuxMint, that is ubuntu/debian based (and there's no plans to
support unity/gnome-shell )
(compiz 0.9 is C++, any change?)

2010/12/18 Mahendra Tallur <email address hidden>

> Joaquin : this is a serious upstream bug that will continue to affect
> other distros that don't use Gnome Shell, that will continue to affect
> users who want to keep the old interface, and that will continue to
> affect users of the LTS.
>
> I really don't see why it wouldn't be fixable ? Now it even seems we
> have some ways to reproduce it almost each time. Well, if anyone can
> confirm that, when invoking "killall gnome-panel" from the "guest
> account" (or unmodified out of the box configuration), it corrupts the
> "show desktop icon" practically each time. Can people check that ?
>
> Now I'll shut up until I really have some actual new pieces of
> information :)
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+...

Read more...

Roy Jamison (xteejx) wrote :

All of these comments would be better suited for the GNOME upstream bug
tracker https://bugzilla.gnome.org/show_bug.cgi?id=596923. If you have
any actual information that can assist in the development and/or fix of
this bug, please send it there.
Further general discussion or chat should be left to the appropriate
mailing lists or ubuntu IRC channels.
Please bear in mind that EVERY single message (useful or not) gets sent
to those subscribed and those from duplicates (300+). So please keep any
further messages to a bare minimum unless you can help.
We know what this looks like and pretty much covered how to reproduce
it.
Sorry if this sounds harsh, but 300+ people will not be happy being
bombarded by useless messages (I'm looking at the last two posters). You
can contact each other as explained above: through the mailing lists,
IRC or directly through the "Contact User" page in Launchpad.

Thank you.

--

Roy Jamison (xteejx)
Ubuntu Bug Squad
Ubuntu Bug Control
www.ubuntu.com

Download full text (3.4 KiB)

the best fix is to add a new app on the startup apps
sleep 10 ; gnome-panel
it works!
I think that i have to put these comands on a script yo get working

2010/12/18 Teej <email address hidden>

> All of these comments would be better suited for the GNOME upstream bug
> tracker https://bugzilla.gnome.org/show_bug.cgi?id=596923. If you have
> any actual information that can assist in the development and/or fix of
> this bug, please send it there.
> Further general discussion or chat should be left to the appropriate
> mailing lists or ubuntu IRC channels.
> Please bear in mind that EVERY single message (useful or not) gets sent
> to those subscribed and those from duplicates (300+). So please keep any
> further messages to a bare minimum unless you can help.
> We know what this looks like and pretty much covered how to reproduce
> it.
> Sorry if this sounds harsh, but 300+ people will not be happy being
> bombarded by useless messages (I'm looking at the last two posters). You
> can contact each other as explained above: through the mailing lists,
> IRC or directly through the "Contact User" page in Launchpad.
>
> Thank you.
>
> --
>
> Roy Jamison (xteejx)
> Ubuntu Bug Squad
> Ubuntu Bug Control
> www.ubuntu.com
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> ...

Read more...

Schmankerl (schmankerl) wrote :

earlier network-manager-icon in gnome-panel was scrambled and 'show desktop' - icon not fully visible. after that i took a screenshot and network-manager-icon repaired itself but not 'show desktop'-icon (see attachment).
If i execute 'killall gnome-panel' many times it randomly (nearly cyclical) switches 'show desktop'-icon between good and bad...

The Ubuntu side of this bug:
If a computer is affected then
a) in roughly 10% of the boots, there is not way to Shut Down or Log Out the computer for a Newbie - actually to find a workaround you basically need a working internet connection.
b) considering a) no responsible person would ever install Ubuntu on a Newbies computer. Imagine your mum, oncle, grandfather not being able to shut down the computer in 10% of the cases.

The Ubuntu-side of the bug is to have removed the shutdown/log-out options from the normal Menu/System despite the fact that the panel applets are not reliable for many, many users.

Not being able to shutdown/log out is a serious thing! Better to have two options to do this than only have one (non-reliable) option.

This is very old bug AFAIK affecting only systray which will be removed in Natty so IMO this bug is now irrelevant.

Peter Belew (peterbe) wrote :

Regarding the above comment #330 - remember that Lucid Lynx Ubuntu 10.04.2 LTS will be coming out soon - This bug probably affects this LTS release, so it will still be relevant for some time.

Not only this, but some video adapters and monitors will not support the new GUI, so that they will be running Gnome instead on 11.04 (for example, my Averatec laptop).

Laszlo Gajai (lgajai) wrote :

This bug is not irrelevant. Not all people going to next release. Here is used Lucid which is a long term supported version of Ubuntu. This version is important in productive environment. But affected with this annoying bug. Most of users just users not power users and very stupid thing to call IT to shutdown computer.

I am suspecting that this bug is only occurring to people who have either:

(1) Upgraded from an earlier version of Ubuntu, using the update manager OR
(2) Installed onto a machine that already has a /home partition with configuration files/folders from a previous version's installation.

I haven't had the problem recur yet, since I installed 10.10 with a newly created home directory. However, it has only been a week since I've done this; the problem my recur yet.

Mahendra Tallur (mahen) wrote :

Lonnie : this is definitely not the case. Many of us experienced it on fresh installs, and I even reproduced it yesterday from a Live CD.

dino99 (9d9) wrote :

my 2 cents about that issue:

there are two cases on my end:
- a laptop dual booting windows+maverick (only): never met that issue

- a desktop with multi boot: windows+lucid+maverick+natty (all i386) and sharing a single /home.
With this config i continuously get issues like related with this report. Its clear to me that's happening because of all these ubuntu distros are sharing a single /home. As there are only common settings and configs, they are conflicting each others: example: as my latest settings are related to natty (and work properly), when i run maverick again then the panel is broken (icons desappeared). Readding the missing icons in maverick, then reopen natty, and the icons are duplicated now on natty !!!!

so my conclusion is:
as the settings related to a specific ubuntu distro are not signed and not affected exclusively to this distro, there are races/conflicts with other linux sharing the same /home and most of its hidden folders (.gconf, ...)

Should like to know if other users with this config (single /home shared by multi linux distro) & devs are agreeing too. In my point of view the latest distro settings override the previous settings (even they are related to a different distro/release), thats really a bed design.

Download full text (3.6 KiB)

I think that is from the GTK rendering engine issue with compiz, I have
ubuntu 10.10 and 11.04 on my PC, and I only get this problem on 10.10 with
compiz
El 31/12/2010 12:06, "dino99" <email address hidden> escribió:
> my 2 cents about that issue:
>
> there are two cases on my end:
> - a laptop dual booting windows+maverick (only): never met that issue
>
> - a desktop with multi boot: windows+lucid+maverick+natty (all i386) and
sharing a single /home.
> With this config i continuously get issues like related with this report.
Its clear to me that's happening because of all these ubuntu distros are
sharing a single /home. As there are only common settings and configs, they
are conflicting each others: example: as my latest settings are related to
natty (and work properly), when i run maverick again then the panel is
broken (icons desappeared). Readding the missing icons in maverick, then
reopen natty, and the icons are duplicated now on natty !!!!
>
> so my conclusion is:
> as the settings related to a specific ubuntu distro are not signed and not
affected exclusively to this distro, there are races/conflicts with other
linux sharing the same /home and most of its hidden folders (.gconf, ...)
>
> Should like to know if other users with this config (single /home shared
> by multi linux distro) & devs are agreeing too. In my point of view the
> latest distro settings override the previous settings (even they are
> related to a different distro/release), thats really a bed design.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
people get notified when you add anything to this bug report. Please don't
confirm the bug it is already confirmed. Please don't attach further
screenshots - we all know how the problem looks. We all appreciate your
involvement, but read previous post carefully prior you post your own. We
need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
terrible mess. Some of them are overlapping others. Sometimes network
manager icon is missing. Sometimes phantom icons show up. They can be clones
of any other icons in the notification area. Bug affects any graphics card:
ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
panels will automatically respawn correctly.
>
> WORKAR...

Read more...

Laszlo Gajai (lgajai) wrote :

dino99: I have only one Lucid on my desktop. No any OS installed on my computer.

Joaquin: I've begun permanently using compiz one months ago. Before I did not facing wiith this problem on same Ubuntu 10.04 install.

Since no conclusions have been drawn regarding the cause of this issue, I'll add my two cents.

I have a laptop (Intel graphics) and a desktop (ATI graphics), both running 10.10 with Compiz and IIRC both have been upgraded from previous releases (if it is important -- is there any way to check this?). No dual boot on any of them. I experience this problem only on laptop. Coincidentally, I also change resolution regularly only on laptop when docking it, making it use an external monitor. Also, only laptop is ever suspended, desktop is always powered off.

When I experience this problem on the laptop, killall -HUP gnome-panel always fixes it (I believe).

Joaquin (jknvv13) wrote :

And..
what about DPI?
Anyone changed it?
If I change it from 96 to 72 I see this bug, but when I'm at 96 DPI, I don't
see the bug anymore

2010/12/31 Laszlo Gajai <email address hidden>

> dino99: I have only one Lucid on my desktop. No any OS installed on my
> computer.
>
> Joaquin: I've begun permanently using compiz one months ago. Before I
> did not facing wiith this problem on same Ubuntu 10.04 install.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Kyle Clarke (kyleclarke) wrote :

Mahendra Tallur wrote: "One more thing that I find interesting :

- earlier I said I could trigger some corruption in the bottom panel, near the "show desktop applet", by invoking "killall gnome-panel" a couple of times : this is true
- HOWEVER, I moved the applets and put them back EXACTLY the way they were before and noticed the corruption didn't happen anymore when calling "killall gnome-panel".
- I thought "wtf ?" so I started a guest session. The panel looks exactly the same. And now, calling "killall gnome-panel" does indeed trigger the very same corruption in more than 50% of the cases.

But what can be the differences between 2 bottom panels that contain exactly the same applets at the same location, one of"

@Mahendra Tallur: Did you lock the applets when you created your own panels?By default these are locked on the stock panels, but are not when you add your own applets. For a while now I feel that this has something to do with the timing in which the panels is drawn, and then the applets. Locking them may have an effect.

FelipeAF (felipealexandref) wrote :

No for both. I installed ubuntu 10:10 directly in my laptop (i dont
upgrade from earlier version), it also has windows xp (ubuntu + windows
only), but I do not boot into windows long ago, yet the problem happens
occasionally if compiz is enabled. With desktop effects disabled, the
problem does not occur.

Em Sex, 2010-12-31 às 06:43 +0000, Lonnie escreveu:
> I am suspecting that this bug is only occurring to people who have
> either:
>
> (1) Upgraded from an earlier version of Ubuntu, using the update manager OR
> (2) Installed onto a machine that already has a /home partition with configuration files/folders from a previous version's installation.
>
> I haven't had the problem recur yet, since I installed 10.10 with a
> newly created home directory. However, it has only been a week since
> I've done this; the problem my recur yet.
>

Omer Akram (om26er) wrote :
Download full text (3.2 KiB)

if the problem only happens with compiz then it would be really interesting
if someone could try with compiz 0.9.xx which is a complete rewrite(?)

On Sun, Jan 2, 2011 at 9:33 PM, FelipeAF <email address hidden> wrote:

> No for both. I installed ubuntu 10:10 directly in my laptop (i dont
> upgrade from earlier version), it also has windows xp (ubuntu + windows
> only), but I do not boot into windows long ago, yet the problem happens
> occasionally if compiz is enabled. With desktop effects disabled, the
> problem does not occur.
>
> Em Sex, 2010-12-31 às 06:43 +0000, Lonnie escreveu:
> > I am suspecting that this bug is only occurring to people who have
> > either:
> >
> > (1) Upgraded from an earlier version of Ubuntu, using the update manager
> OR
> > (2) Installed onto a machine that already has a /home partition with
> configuration files/folders from a previous version's installation.
> >
> > I haven't had the problem recur yet, since I installed 10.10 with a
> > newly created home directory. However, it has only been a week since
> > I've done this; the problem my recur yet.
> >
>
> --
> You received this bug notification because you are subscribed to
> Indicator Applet.
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and ...

Read more...

Joaquin (jknvv13) wrote :
Download full text (5.6 KiB)

I'm using natty and I haven't got this problem with gnome-panel, shell or
unity (with shell or unity there's no gnome-panel)
El 02/01/2011 19:22, "Omer Akram" <email address hidden> escribió:
> if the problem only happens with compiz then it would be really
interesting
> if someone could try with compiz 0.9.xx which is a complete rewrite(?)
>
> On Sun, Jan 2, 2011 at 9:33 PM, FelipeAF <email address hidden>
> wrote:
>
>> No for both. I installed ubuntu 10:10 directly in my laptop (i dont
>> upgrade from earlier version), it also has windows xp (ubuntu + windows
>> only), but I do not boot into windows long ago, yet the problem happens
>> occasionally if compiz is enabled. With desktop effects disabled, the
>> problem does not occur.
>>
>> Em Sex, 2010-12-31 às 06:43 +0000, Lonnie escreveu:
>> > I am suspecting that this bug is only occurring to people who have
>> > either:
>> >
>> > (1) Upgraded from an earlier version of Ubuntu, using the update
manager
>> OR
>> > (2) Installed onto a machine that already has a /home partition with
>> configuration files/folders from a previous version's installation.
>> >
>> > I haven't had the problem recur yet, since I installed 10.10 with a
>> > newly created home directory. However, it has only been a week since
>> > I've done this; the problem my recur yet.
>> >
>>
>> --
>> You received this bug notification because you are subscribed to
>> Indicator Applet.
>> https://bugs.launchpad.net/bugs/439448
>>
>> Title:
>> Visual corruption affecting several panel applets
>>
>> Status in Compiz:
>> Invalid
>> Status in Desktop panel for GNOME:
>> New
>> Status in Indicator Applet:
>> Invalid
>> Status in Release Notes for Ubuntu:
>> In Progress
>> Status in “gnome-panel” package in Ubuntu:
>> Triaged
>> Status in “gnome-panel” source package in Lucid:
>> Confirmed
>> Status in “gnome-panel” source package in Maverick:
>> Triaged
>> Status in “gnome-panel” source package in Natty:
>> Triaged
>>
>> Bug description:
>> **********PLEASE READ BEFORE YOU ADD YOUR
>> COMMENT/SCREENSHOT*****************
>>
>> Please take a look at the list of duplicate bugs. Please think on how
many
>> people get notified when you add anything to this bug report. Please
don't
>> confirm the bug it is already confirmed. Please don't attach further
>> screenshots - we all know how the problem looks. We all appreciate your
>> involvement, but read previous post carefully prior you post your own. We
>> need to draw constructive conclusions and find the solution.
>>
>> Binary package hint: gnome-panel, nm-applet, etc...
>>
>> SUMMARY:
>>
>> After graphical logon notification area gets scrambled. Icons are in
>> terrible mess. Some of them are overlapping others. Sometimes network
>> manager icon is missing. Sometimes phantom icons show up. They can be
clones
>> of any other icons in the notification area. Bug affects any graphics
card:
>> ATI, nVidia, Intel...
>>
>> WORKAROUND 1:
>>
>> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
>> panels will automatically respawn correctly.
>>
>> WORKAROUND 2:
>>
>> When you get your icons distorted right-click on the affected panel (not
>> icons) click "Properties". In "Pa...

Read more...

sacha@ubuntu (sacha-b77) wrote :

Hello.

I'am using Maverick with a dual boot WinXP and Graphic chipset Intel GMA. Compiz effects are on High position.

Since i've installed Maverick instead of Lucid, the bug does'nt appear on the first panel. But it appears on the second panel, between separator and desktop icon. A vertical white bar appears. It disappears itself when i launch one of several windows.

I've seen that, on grub, when i wait the end of the countdown, the little bug on the bottom panel appears each time. When i interrupt the grub's countdown by hiting enter, the bug doesn't happear on my session. I don't understand this!

A link with the countdown of grub and the sequence of the boot and the session ? It's very strange, no?

What???

2011/1/10 Heather R Bealer <email address hidden>

>
> Dear friends, how are you?
> We are a foreign trade export company, our product is very low wholesale
> prices, but ensure supply of the original quality. Notebook computer, DC and
> cell phone even motorcycle are very popular. If you have any interesting,
> please feel free to contact us:www.ooebuy.com. Thank you for your
> interest!
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how many
> people get notified when you add anything to this bug report. Please don't
> confirm the bug it is already confirmed. Please don't attach further
> screenshots - we all know how the problem looks. We all appreciate your
> involvement, but read previous post carefully prior you post your own. We
> need to draw constructive conclusions and find the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be clones
> of any other icons in the notification area. Bug affects any graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog. The
> panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel (not
> icons) click "Properties". In "Panel Properties" change panel orientation to
> "Left" or "Right" and back to "Top" or "Bottom". In my case all icons are
> displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-add
> them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Maurice Aarts (ice-blade) wrote :
Download full text (5.2 KiB)

It's obviously spam, which is annoying by itself.
Please don't add to the annoyance by sending useless "What???" e-mails to
everyone in the mailinglist.

Thanks...
--
Maurice Aarts
Dept. Of Mathematics and Computer Science
TU/e - Eindhoven University of Technology (NL)

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Joaquin
Sent: maandag 10 januari 2011 21:49
To: <email address hidden>
Subject: Re: [Bug 439448] How is everything?1

What???

2011/1/10 Heather R Bealer <email address hidden>

>
> Dear friends, how are you?
> We are a foreign trade export company, our product is very low
> wholesale prices, but ensure supply of the original quality. Notebook
> computer, DC and cell phone even motorcycle are very popular. If you
> have any interesting, please feel free to contact us:www.ooebuy.com.
> Thank you for your interest!
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in "gnome-panel" package in Ubuntu:
> Triaged
> Status in "gnome-panel" source package in Lucid:
> Confirmed
> Status in "gnome-panel" source package in Maverick:
> Triaged
> Status in "gnome-panel" source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find the
solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
graphics card:
> ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not
> icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and
> re-add them, i.e. Indicator Applet, etc.
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

--
You received this bug noti...

Read more...

Joaquin (jknvv13) wrote :
Download full text (7.9 KiB)

Sorry

And...
I've recently updated an ubuntu 10.04 to 10.10, and when I boot after
installation, I modified DPI and at next boot, the panel is showing this
bug... :S

2011/1/10 Maurice Aarts <email address hidden>

> It's obviously spam, which is annoying by itself.
> Please don't add to the annoyance by sending useless "What???" e-mails to
> everyone in the mailinglist.
>
> Thanks...
> --
> Maurice Aarts
> Dept. Of Mathematics and Computer Science
> TU/e - Eindhoven University of Technology (NL)
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Joaquin
> Sent: maandag 10 januari 2011 21:49
> To: <email address hidden>
> Subject: Re: [Bug 439448] How is everything?1
>
> What???
>
> 2011/1/10 Heather R Bealer <email address hidden>
>
> >
> > Dear friends, how are you?
> > We are a foreign trade export company, our product is very low
> > wholesale prices, but ensure supply of the original quality. Notebook
> > computer, DC and cell phone even motorcycle are very popular. If you
> > have any interesting, please feel free to contact us:www.ooebuy.com.
> > Thank you for your interest!
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug (598065).
> > https://bugs.launchpad.net/bugs/439448
> >
> > Title:
> > Visual corruption affecting several panel applets
> >
> > Status in Compiz:
> > Invalid
> > Status in Desktop panel for GNOME:
> > New
> > Status in Indicator Applet:
> > Invalid
> > Status in Release Notes for Ubuntu:
> > In Progress
> > Status in "gnome-panel" package in Ubuntu:
> > Triaged
> > Status in "gnome-panel" source package in Lucid:
> > Confirmed
> > Status in "gnome-panel" source package in Maverick:
> > Triaged
> > Status in "gnome-panel" source package in Natty:
> > Triaged
> >
> > Bug description:
> > **********PLEASE READ BEFORE YOU ADD YOUR
> > COMMENT/SCREENSHOT*****************
> >
> > Please take a look at the list of duplicate bugs. Please think on how
> > many people get notified when you add anything to this bug report.
> > Please don't confirm the bug it is already confirmed. Please don't
> > attach further screenshots - we all know how the problem looks. We all
> > appreciate your involvement, but read previous post carefully prior
> > you post your own. We need to draw constructive conclusions and find the
> solution.
> >
> > Binary package hint: gnome-panel, nm-applet, etc...
> >
> > SUMMARY:
> >
> > After graphical logon notification area gets scrambled. Icons are in
> > terrible mess. Some of them are overlapping others. Sometimes network
> > manager icon is missing. Sometimes phantom icons show up. They can be
> > clones of any other icons in the notification area. Bug affects any
> graphics card:
> > ATI, nVidia, Intel...
> >
> > WORKAROUND 1:
> >
> > Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> > The panels will automatically respawn correctly.
> >
> > WORKAROUND 2:
> >
> > When you get your icons distorted right-click on the affected panel
> > (not
> > icons) click "Properties". In "Panel Properties" change panel
> > orientation to "Left" or "Right" ...

Read more...

bwallum (rbw2) wrote :

I have two manifestations across 3 i386 Maverick machines, two from fresh live cd install, one upgraded from Lucid. Installs from 8th Jan 2011 to 10th Jan 2011, all updated on 12th Jan 2011.

Manifestation One.
The top panel appears and looks ok but cannot be accessed when left clicking with the mouse, i.e. no menus or flying hints appear. Bug is intermittent. Some start ups are fine then after a day or so the manifestation reappears.

Manifestation Two.
The top panel icons are incorrectly presented with no Applications, Places, System visible and the Indicator Applet Session duplicated and overlapping such that the Shut Down menu doesn't show. To the inexperienced user there is no way to shut down the machine other than the power button with a fair chance of corrupting the system in the process. This manifestation is equally intermittent.

This should be of high importance as data loss is possible upon enforced power button shut down. Reporters should be encouraged to report all behaviour until the bug is fixed. Clearly (or it would be fixed) we do not know enough about it yet. Please remove the discouraging sticky.

Changed in gnome-panel (Ubuntu Lucid):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
milestone: none → lucid-updates
Brian Curtis (bcurtiswx) wrote :

Confirmed. ME menu has been reduced to a tiny slit on the gnome panel.

Wait...
everybody has weather enabled?
This issue is happening with weather enabled (10.10 compiz with nouveau
drivers), but without weather, my panel looks correctly...
El 20/01/2011 03:26, "Brian Curtis" <email address hidden> escribió:
> Confirmed. ME menu has been reduced to a tiny slit on the gnome panel.
>
> ** Attachment added: "Screenshot.png"
>
https://bugs.launchpad.net/ubuntu/+source/gnome-panel/+bug/439448/+attachment/1800075/+files/Screenshot.png
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find
> the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
> graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-
> add them, i.e. Indicator Applet, etc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe

SabreWolfy (sabrewolfy) wrote :

I experience the problem on 10.04 from time to time on startup, but not on resume from hibernate.

I have the weather component of Clock 2.30.2 enabled, as well as the "Weather Report" applet. Compiz enabled. NVidia card with the restricted drivers.

Rechner-Tester (cs-rechner) wrote :

Indeed, I've enabled the weather report on every machine I installed.

description: updated

No weather report here, but I am experiencing the same problem. The weather is one of those things were I prefer windows ;)

Joaquin (jknvv13) wrote :

Ok, maybe weather weather it's the problem, because I've installed 3 times
ubuntu on an vm, and only happens with weather enabled, and the same with an
Acer Aspire 9230, only happens when it's enabled!!
But on my sister's laptop, she has disabled the weather, and she is running
ubuntu from 9.10 updating all times (stable only, she now has maverick), she
has no problem in the panel
El 20/01/2011 12:26, "Rechner-Tester" <email address hidden> escribió:

Mahendra Tallur (mahen) wrote :

It may be a factor, but as I said earlier (what, you didn't reread the 355 comments ? ;-) I managed to reproduce the issue (especially in the bottom panel, next to the "show desktop" applet) from a clean user profile, with the default set of applets.

What was particularly striking was the fact that re-creating afterwards exactly the same set of applets made the issue more difficult to occur. From the "default set", I could force it to happen by "killing" the panel from the terminal a couple of times.

Josh Taylor (joshua-taylor0) wrote :

Does this problem only occur after restarting gnome? I ran "killall
gnome-panel" several times to see if I could see the bug resurface, but the
gnome-panel starts up without any problems.

On Thu, Jan 20, 2011 at 11:21 AM, Mahendra Tallur <<email address hidden>
> wrote:

> It may be a factor, but as I said earlier (what, you didn't reread the
> 355 comments ? ;-) I managed to reproduce the issue (especially in the
> bottom panel, next to the "show desktop" applet) from a clean user
> profile, with the default set of applets.
>
> What was particularly striking was the fact that re-creating afterwards
> exactly the same set of applets made the issue more difficult to occur.
> >From the "default set", I could force it to happen by "killing" the
> panel from the terminal a couple of times.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find
> the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
> graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-
> add them, i.e. Indicator Applet, etc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

SabreWolfy (sabrewolfy) wrote :

I booted my 10.04 desktop and logged in immediately and various panel items were displayed incorrectly. Shortly thereafter I shut the machine down.

I turned it on again a short time later but did not log in immediately -- I left the machine at the login screen for about 30 minutes while I was doing something else. When I logged in after that, the panels all displayed perfectly.

NanoWar (nanowar) wrote :

It's easy to reproduce this bug on a laptop, because switching from DC to battery leads to a menu rearrangement when the battery becomes fully charged. Hope that helps. (Ubuntu 10.10, Notification Area)

cbthompson (cbthompson) wrote :

I've been following the status of this bug for some time, and have seen it
appear on many installations, going back several releases. I believe the
problem has something to do with the indicator-applet-session panel applet.
 I've found that when I remove this applet from the panel, the visual
corruption no longer occurs. I leave the indicator-applet alone, only
removing indicator-applet-session. When removed, all the essential
functionality of this applet is relocated to the "System" area of the Gnome
menu. It's a bonus that it removes some cruft from the panel area.

Joaquin (jknvv13) wrote :

If I delete the indicator-me happens the same!

2011/1/24 cbthompson <email address hidden>

> I've been following the status of this bug for some time, and have seen it
> appear on many installations, going back several releases. I believe the
> problem has something to do with the indicator-applet-session panel applet.
> I've found that when I remove this applet from the panel, the visual
> corruption no longer occurs. I leave the indicator-applet alone, only
> removing indicator-applet-session. When removed, all the essential
> functionality of this applet is relocated to the "System" area of the Gnome
> menu. It's a bonus that it removes some cruft from the panel area.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find
> the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
> graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-
> add them, i.e. Indicator Applet, etc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

peterzay (peterzay) wrote :

After boot, I got the following error message:

The panel encountered a problem while loading "OAFIID:GNOME_ClockApplet". Do you want to delete the applet from your configuration? (see attachment for screenshot)

The clock applet was missing from the upper right panel and the other applets were moved around a bit.

peterzay (peterzay) wrote :

After boot, I got the following error message:

The panel encountered a problem while loading "OAFIID:GNOME_ClockApplet". Do you want to delete the applet from your configuration? (see attachment for screenshot)

The clock applet was missing from the upper right panel and the other applets were moved around a bit.

peterzay (peterzay) wrote :

After boot, I got the following error message:

The panel encountered a problem while loading "OAFIID:GNOME_ClockApplet". Do you want to delete the applet from your configuration? (see attachment for screenshot)

The clock applet was missing from the upper right panel and the other applets were moved around a bit.

peterzay (peterzay) wrote :

After boot, I got the following error message:

The panel encountered a problem while loading "OAFIID:GNOME_ClockApplet". Do you want to delete the applet from your configuration? (see attachment for screenshot)

The clock applet was missing from the upper right panel and the other applets were moved around a bit.

peterzay (peterzay) wrote :

Sorry for the 4x duplicates, launchpad was timing out.

Please stop spamming, this is a bug

2011/2/10 Heather R Bealer <email address hidden>

> http://junaker.t35.com/
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find
> the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
> graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-
> add them, i.e. Indicator Applet, etc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Joaquin,
I'm definitely not spamming. This is a bug I discovered and reported loooong ago.
The spammer is the launchpad. Don't accuse people of things the are _NOT_ doing

/PA
----------------------------------------
> Date: Thu, 10 Feb 2011 13:42:55 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 439448]
>
> Please stop spamming, this is a bug
>
> 2011/2/10 Heather R Bealer <email address hidden>
>
> > http://junaker.t35.com/
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug (598065).
> > https://bugs.launchpad.net/bugs/439448
> >
> > Title:
> > Visual corruption affecting several panel applets
> >
> > Status in Compiz:
> > Invalid
> > Status in Desktop panel for GNOME:
> > New
> > Status in Indicator Applet:
> > Invalid
> > Status in Release Notes for Ubuntu:
> > In Progress
> > Status in “gnome-panel” package in Ubuntu:
> > Triaged
> > Status in “gnome-panel” source package in Lucid:
> > Confirmed
> > Status in “gnome-panel” source package in Maverick:
> > Triaged
> > Status in “gnome-panel” source package in Natty:
> > Triaged
> >
> > Bug description:
> > **********PLEASE READ BEFORE YOU ADD YOUR
> > COMMENT/SCREENSHOT*****************
> >
> > Please take a look at the list of duplicate bugs. Please think on how
> > many people get notified when you add anything to this bug report.
> > Please don't confirm the bug it is already confirmed. Please don't
> > attach further screenshots - we all know how the problem looks. We all
> > appreciate your involvement, but read previous post carefully prior
> > you post your own. We need to draw constructive conclusions and find
> > the solution.
> >
> > Binary package hint: gnome-panel, nm-applet, etc...
> >
> > SUMMARY:
> >
> > After graphical logon notification area gets scrambled. Icons are in
> > terrible mess. Some of them are overlapping others. Sometimes network
> > manager icon is missing. Sometimes phantom icons show up. They can be
> > clones of any other icons in the notification area. Bug affects any
> > graphics card: ATI, nVidia, Intel...
> >
> > WORKAROUND 1:
> >
> > Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> > The panels will automatically respawn correctly.
> >
> > WORKAROUND 2:
> >
> > When you get your icons distorted right-click on the affected panel
> > (not icons) click "Properties". In "Panel Properties" change panel
> > orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> > case all icons are displayed properly, but one (nm-applet) is missing

A.K.Karthikeyan (mindaslab) wrote :

@Joaquin I agree

Joaquin was referring to Heather R Bealer, who wrote a link to an untrusted web-page by WOT (Web of Trust) Firefox add-on.

Alberto,

a lo mejor lo que hay que hacer es bloquear en launchpad ese tipo
de mensajes... no sé... En cualquier caso, yo nunca contestaría a través
del lauchpad. Te pillan con un trancazo y el pié cambiado y empieza
un rifirrafe estúpido por menos de nada...

Saludos,/PA

> Date: Sat, 12 Feb 2011 10:21:19 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 439448] Re: Visual corruption affecting several panel applets
>
> Joaquin was referring to Heather R Bealer, who wrote a link to an
> untrusted web-page by WOT (Web of Trust) Firefox add-on.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (586193).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets

Hay algun modo de quitar la susceipcion al bug?
Saludos
El 14/02/2011 16:46, "Paaguti-hotmail" <email address hidden> escribió:
>
> Alberto,
>
> a lo mejor lo que hay que hacer es bloquear en launchpad ese tipo
> de mensajes... no sé... En cualquier caso, yo nunca contestaría a través
> del lauchpad. Te pillan con un trancazo y el pié cambiado y empieza
> un rifirrafe estúpido por menos de nada...
>
> Saludos,/PA
>
>> Date: Sat, 12 Feb 2011 10:21:19 +0000
>> From: <email address hidden>
>> To: <email address hidden>
>> Subject: [Bug 439448] Re: Visual corruption affecting several panel
applets
>>
>> Joaquin was referring to Heather R Bealer, who wrote a link to an
>> untrusted web-page by WOT (Web of Trust) Firefox add-on.
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (586193).
>> https://bugs.launchpad.net/bugs/439448
>>
>> Title:
>> Visual corruption affecting several panel applets
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find
> the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
> graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-
> add them, i.e. Indicator Applet, etc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe

If you have any questions please have a look at the "Answers" section. Note that in Launchpad it is the only place where you can post in a different language than English; since any user has the right of understanding what it is said if it could be of his or her interest, like in bugs.

I did a clean updated Maverick install a week ago, and I still have this bug. It has not been resolved.

Michael O'Lear (mikeolear) wrote :

When I get properties on the Gnome panel and check-mark "Show Hide Buttons," the icon video defects go away for me.

Temporarily? Or does this fix the problem for good?

On Thu, Apr 21, 2011 at 2:37 PM, Michael O'Lear
<email address hidden>wrote:

> When I get properties on the Gnome panel and check-mark "Show Hide
> Buttons," the icon video defects go away for me.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find
> the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
> graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-
> add them, i.e. Indicator Applet, etc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/compiz/+bug/439448/+subscribe
>

Josh Taylor (joshua-taylor0) wrote :

Sorry for the super post. I forgot about the quoted text.

peterzay (peterzay) wrote :

I replaced my networking hardware from a Linksys BEFSX41 router to a Cisco RVS4000 router coupled with a D-Link DGS-1008G switch. I also set the IPv4 networking option from Automatic (DHCP) addresses only to Automatic (DHCP) because I moved the OpenDNS DNS1 and DNS2 addresses to the router. After all this change, the 4* default applets from the upper right panel corrupt visually AFTER EACH BOOT. This is systematically reproducible, so far at least.

I would like to suggest that the networking experts take a closer look at this. It may point in the direction of bug resolution.

* 4 default applets for upper right corner (right to left)
- indicator applet session
- clock
- indicator applet
- notification area

Scott Kitterman (kitterman) wrote :

Networking updates won't affect panel applet display.

peterzay (peterzay) wrote :

Before the networking changes described in #379, visual corruption of the upper right panel applets occurred very intermittently. On this 10.04 LTS platform, I could go for many weeks, possibly months, of daily boots before hitting the bug. Now, after the networking changes, EACH AND EVERY BOOT corrupts those applets.

This is systematic and reproducible. That cannot be coincidence.

What is your basis for claiming: "Networking updates won't affect panel applet display"?

For example, the router is now set to use DST (clock applet impact?), before it was not. DNS1 and DNS2 have now been removed from the eth0 profile (notification area applet impact?) and moved to the router.

pablomme (pablomme) wrote :

He means that the bug is a known painting issue with gnome-panel, and that no "networking experts" should be looking into this because it is definitely unrelated to networking.

Even the connections you suggest, which are valid hypotheses, are obviously only circumstantially related to networking. Most likely, network-manager is taking either longer or shorter to establish a connection than before, causing nm-applet to update at different times during session start-up, in turn triggering the race condition that causes the corruption more often. It would be equally likely that an update you installed around the same time that you switched routers made the problem worse.

peterzay (peterzay) wrote :

I use update manager once a week and did so this week prior to the networking changes. I did notice very minor panel applet corruption after the reboot. I fixed that by removing and adding back the applets manually and rebooted and "solved" the problem.

The networking changes resulted in an intermittent display bug occurring reproducibly and permanently.

That is a huge change in bug behaviour, but does not mean that this bug is a network bug. It just provides a clue to facilitate bug resolution.

description: updated
Najam Tirmizi (najam-tirmizi) wrote :

I began to experience this bug after upgrading from Maverick to Natty.

When I logged into Ubuntu (Unity), I received a message stating that my hardware was unsupported, suggesting I use Ubuntu Classic instead.

When I logged into Ubuntu Classic, not only were panel applets, distorted, but the windows themselves also had severe repaint/render issues, leaving the UI unusable. I believe there are other reports on this other bug, though it ought to be noted that the two might be related.

Upon switching to Ubuntu Classic (No Effects), windows appeared and repainted correctly, but the panel applet corruption remained.

Attaching system information to this post...

Joaquin (jknvv13) wrote :
Download full text (3.3 KiB)

I have this issue with nouveau default driver without 3D
El 03/05/2011 12:31, "Najam Tirmizi" <email address hidden> escribió:
> I began to experience this bug after upgrading from Maverick to Natty.
>
> When I logged into Ubuntu (Unity), I received a message stating that my
> hardware was unsupported, suggesting I use Ubuntu Classic instead.
>
> When I logged into Ubuntu Classic, not only were panel applets,
> distorted, but the windows themselves also had severe repaint/render
> issues, leaving the UI unusable. I believe there are other reports on
> this other bug, though it ought to be noted that the two might be
> related.
>
> Upon switching to Ubuntu Classic (No Effects), windows appeared and
> repainted correctly, but the panel applet corruption remained.
>
> Attaching system information to this post...
>
> ** Attachment added: "System information (HTML)"
>
https://bugs.launchpad.net/ubuntu/natty/+source/gnome-panel/+bug/439448/+attachment/2108650/+files/hardinfo_report.html
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (598065).
> https://bugs.launchpad.net/bugs/439448
>
> Title:
> Visual corruption affecting several panel applets
>
> Status in Compiz:
> Invalid
> Status in Desktop panel for GNOME:
> New
> Status in Indicator Applet:
> Invalid
> Status in Release Notes for Ubuntu:
> In Progress
> Status in “gnome-panel” package in Ubuntu:
> Triaged
> Status in “gnome-panel” source package in Lucid:
> Confirmed
> Status in “gnome-panel” source package in Maverick:
> Triaged
> Status in “gnome-panel” source package in Natty:
> Triaged
>
> Bug description:
> **********PLEASE READ BEFORE YOU ADD YOUR
> COMMENT/SCREENSHOT*****************
>
> Please take a look at the list of duplicate bugs. Please think on how
> many people get notified when you add anything to this bug report.
> Please don't confirm the bug it is already confirmed. Please don't
> attach further screenshots - we all know how the problem looks. We all
> appreciate your involvement, but read previous post carefully prior
> you post your own. We need to draw constructive conclusions and find
> the solution.
>
> Binary package hint: gnome-panel, nm-applet, etc...
>
> SUMMARY:
>
> After graphical logon notification area gets scrambled. Icons are in
> terrible mess. Some of them are overlapping others. Sometimes network
> manager icon is missing. Sometimes phantom icons show up. They can be
> clones of any other icons in the notification area. Bug affects any
> graphics card: ATI, nVidia, Intel...
>
> WORKAROUND 1:
>
> Run 'killall gnome-panel' from the terminal or Gnome's "Run" dialog.
> The panels will automatically respawn correctly.
>
> WORKAROUND 2:
>
> When you get your icons distorted right-click on the affected panel
> (not icons) click "Properties". In "Panel Properties" change panel
> orientation to "Left" or "Right" and back to "Top" or "Bottom". In my
> case all icons are displayed properly, but one (nm-applet) is missing.
>
> WORKAROUND 3:
>
> Right click the Gnome panel and remove the offending applets and re-
> add them, i.e. Indicator Applet, etc.
>
> WORKAROUND 4:
>
> Right click the Gnome panel, click ...

Read more...

Najam: Your issue is not the same as what is being described in this bug. You should file it as a separate bug.

Najam,

something similar happened to me. The problem in my case was that I had KMS disabled (in previous versions it made my graphics to work worse, so I disabled it). After enable KMS and restart computer, Unity started to work, and the distortion problem disappeared.

Hope this helps you. Regards

peterzay (peterzay) wrote :

I have just experienced new behaviour from this bug. After 5 hours of use after boot, the entire monitor screen blinked black and resized the Workspace Switcher much wider than normal.

Removing from panel and adding back does NOT fix the problem.

This is the first time this fix has failed.

Changing panel properties orientation from bottom to right and back to bottom does NOT fix the problem.

Changing panel properties to Autohide or Show hide buttons or both and closing and re-enabling does NOT fix the problem.

killall gnome-panel has never worked for me, so I did not even bother to try.

I will report back later whether reboot solves the problem.

peterzay (peterzay) wrote :

A reboot has successfully redrawn the Workspace Switcher.

peterzay (peterzay) wrote :

Just to follow up on comments #379, 381, 383 from 2011-04-22 where the upper right panel applets were corrupting systematically and reproducibly after each boot following a networking hardware change.

I have just had my first boot where the panel applets are NOT corrupted.

I estimate roughly 2 boots per day after 17 days have elapsed.

Andrew (legoman666) wrote :

I have the same issue on two machines with AMD video cards with Ubuntu 10.10. Hilarious to know this issue has existed for 2 years without fix. The only way to logout/reboot/power off when this happens is from command line. How is this user friendly?

fabioamd87 (fabioamd87) wrote :

I hve this problem too: http://imageshack.us/photo/my-images/594/pieces.png/

same with Nvidia 6150 and ATI 3200.

Carl Fletcher (caf4926) wrote :

Same issue here
It seems to affect different panel applets randomly. Doesn't happen every time.
But it's a pain, because I install Mint 11 now for customers.
Logout and In seems the easiest or just 'don't delete' and ignore the missing icon and carry on as usual.

Nick Brooker (nickb-kcbbs) wrote :

Not sure if it's related but I sorted the majority of my panel problems by installing the Cantarell font. Should this be a dependency for gnome 3 given it's the default font?

I still get some tearing and some popups are slanted but in general it has been more stable in a Gnome 3 session.

Changed in gnome-panel:
status: New → Unknown
Kate Stewart (kate.stewart) wrote :

Not seeing any recent activity on this in the precise release. Closing release notes task for now, since does not appear relevant to precise.

Changed in ubuntu-release-notes:
status: In Progress → Won't Fix
JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in gnome-panel (Ubuntu Maverick):
status: Triaged → Invalid

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Karthikeyan

Karthikeyan A K
Information Technology Consultant at Webtoday Business Solutions Pvt Ltd
Chennai Area, India

Confirm that you know Karthikeyan A K:
https://www.linkedin.com/e/j9k6xu-h21vbu4t-3s/isd/7046331530/jnIW-hdW/?hs=false&tok=20aJLPxRTUXlc1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/j9k6xu-h21vbu4t-3s/Gj_ziiVe9vYDCldeaVWuJpte8q5BjTGPS0TaDrv/goo/439448%40bugs%2Elaunchpad%2Enet/20061/I2409672301_1/?hs=false&tok=2KvocpgarUXlc1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

vbm (vbmnet) wrote :

Nope, this bug also affects 12.04, Precise Pangolin. :( Both gnote and truecrypt systematically show only a tiny vertical bar. Killall gnome-panel will show them on the reload but sometimes I lose other icons in the process, losing my ability to access some (still running) programs in the process.

no longer affects: gnome-panel (Ubuntu Natty)
no longer affects: gnome-panel (Ubuntu Maverick)
no longer affects: gnome-panel (Ubuntu Lucid)
Changed in gnome-panel (Ubuntu):
importance: Medium → Wishlist
assignee: Ubuntu Desktop Bugs (desktop-bugs) → nobody
Adolfo Jayme (fitoschido) wrote :

gnome-panel is not maintained by Gnome anymore...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.